Installing LANSA on Windows

Installing LANSA on Windows Guide

  • About this Guide
  • Planning a New Installation
  • Before You Start Your Install
  • Install or Upgrade?
  • Installation Checklists
  • Install LANSA on Windows
  • Upgrade LANSA on Windows
  • Modify or Repair LANSA on Windows
  • Uninstall LANSA on Windows
  • LANSA Windows License
  • LANSA Integrator
  • LANSA Open
  • What's Next?
  • Troubleshooting
  • Appendix A. Miscellaneous Tasks
  • In the Documentation Roadmap:
  • LANSA Product Summary
  • LANSA Glossary

Edition Date June 2, 2014

© LANSA


About this Guide

The information in this guide is specific to the LANSA Version 13 software. It cannot be used with earlier versions. If you are installing an earlier version, please be sure to use the related version's guides and installation media.

Before you begin to use this guide, you may wish to review the following:

Who should use this Guide

How to use this Guide

Additional Information

For the latest product information and updates, please refer to the technical information section of the LANSA Web site at www.lansa.com/support.

In this guide, the term "Windows" refers to Windows 7 SP1 and later.


Who should use this Guide

This guide has been written for Windows system administrators or developers who are responsible for installing and maintaining the LANSA development and execution environments.

This guide describes the installation of LANSA software and their components on a Microsoft Windows platform.

During the installation, you may install:

  • Visual LANSA which could include Visual LANSA Framework
  • LANSA for the Web and its associated Web Editor and Web Administrator
  • LANSA Integrator
  • LANSA Open

It is assumed that the installer has some knowledge of the Windows operating system.


How to use this Guide

This guide has been designed for online access. Information has been cross-referenced to help you understand how the installation parameters relate from one step to the next. If you are using a printed version of this guide, you will not have access to the hyperlinks. It is strongly recommended that you have access to the online version of this guide during the installation.

This guide contains detailed instructions for the installation and upgrade of LANSA software products on the Windows platform.

If this is your first time installing a LANSA system, or if you are unfamiliar with the different installation models for each product, we recommend you review Planning a new Installation which provides a high-level roadmap of the LANSA software installation on Windows, which includes common development and deployment scenarios and a summary of associated tasks.

If you are not familiar with the LANSA family of products, review What is LANSA? in the LANSA Documentation Roadmap for a description of each product in the LANSA family of software products.

You should review Before You Install/Upgrade and also the Visual LANSA Requirements Checklist before you begin the software installation or upgrade. This section also includes frequently asked questions, which you may find helpful.

The remainder of the guide is divided into specific product installation tasks.

If you encounter any problems during the installation, review Troubleshooting.

You will require the Installing LANSA on IBM i Guide in order to complete the installation or upgrade of any LANSA products on IBM i. For example, to use LANSA Open with the IBM i, the server configuration and set up instructions are located in this guide.


Additional Information

Before you contact your local vendor for technical support, please review Troubleshooting.

For more details about installing, configuring or troubleshooting LANSA software, you can refer to these guides:

  • Installing LANSA on IBM i
  • Visual LANSA Administrator's Guide
  • LANSA Communications Set Up Guide
  • LANSA for the Web Administration Guide
  • LANSA Integrator Guide
  • LANSA Open Guide

For the latest product information, refer to the LANSA product Web site at www.lansa.com/support.

Your feedback will help us improve the overall quality of the LANSA documentation and training. Please email your comments to lansatraining@LANSA.com.au.

You will require the Installing LANSA on IBM i Guide in order to complete any server configuration tasks involving LANSA for iSeries.


1. Planning Your Site

If you have not yet installed the Visual LANSA software, you should take time to properly plan and understand how the Visual LANSA software will be used at your site. The Visual LANSA development environment may be just one component of a complete LANSA System installation that involves many different LANSA Products.

For an easy to follow planning guide, go to Install Planner.

LANSA is a family of multi-platform application development tools. This section defines each of the software components that can be installed.

Because LANSA supports multiple platforms, the software can be configured to use development environments on IBM i and Windows.

Web development and Web deployment models may also be multi-tier using both IBM i and Windows.

Web development and Web deployment models may be installed in virtualized and Citrix IT infrastructure. Search in LANSA Support to view the latest:

  • Citrix install instructions
  • LANSA's Virtualization support policy
  • LANSA's Supported Versions.

It is important to be clear about the software components and where they are required. They are described in:

  • 1.1 LANSA Software Components

The various models for development and deployment are described in:

  • 1.2 LANSA Development Models
  • 1.3 Choosing a Development Model
  • 1.4 Recommended Development Models
  • 1.6 LANSA for the Web Deployment Models
  • 1.7 LANSA Integrator Development/Deployment Components

Basically, LANSA Systems can be classified as:

  • 1.2.4 Independent Windows Server and 1.2.1 IBM i Slave Systems
  • 1.5 Promotion & Deployment, which are remote systems, for example Linux, that receive objects from a Visual LANSA development system.

If you are using a master and slave system, it is important that you understand the task of 1.2.10 Synchronizing Master and Slave Systems.

A LANSA System is defined as a group of LANSA Software Components that share a common LANSA System Definition. A single system may contain many different products. For example, a single LANSA System could be a development environment using LANSA for iSeries on an IBM i server with LANSA for the Web on a Windows server and many Slave Visual LANSA Systems on developer PCs. A LANSA for iSeries System running a different LANSA version would be a separate LANSA System because it uses a different LANSA System Definition (e.g. System Definitions for that version).


1.1 LANSA Software Components

The LANSA Software Components are the LANSA program objects that are installed on a platform. These are the programs that LANSA uses to support both the development environment and the application execution environment.

Each LANSA product has its own set of software components and may also share its software components with other LANSA products.

For example, LANSA for the Web requires the LANSA for iSeries or Visual LANSA software components to be installed.

As LANSA supports an n-tier architecture, all LANSA Software Components do not have to be installed on the same machine or platform. For example, the LANSA for the Web's Web Server Components may be installed on a different machine (Web Server) than the Visual LANSA Software Components (Data/Application Server).

Also see

1.1.1 LANSA System Definitions

1.1.2 LANSA Repository Data

Ý 1. Planning Your Site


1.1.1 LANSA System Definitions

The LANSA System Definition Data is the LANSA system-specific data used by LANSA software to define and support the development environment. The LANSA System Definition Data includes the following types of information:

  • RDML Command Definitions
  • System Message Files
  • Application Templates
  • Built-In Functions
  • System Definition Characteristics (system owners, user authorities, machine date formats, etc.)
  • Task Lists
  • Enrolled Users
  • Enrolled PCs.

A LANSA System Definition is primarily identified by its version number. Parts of the System Definition Data can be customized to create a specific development environment.

Ý 1.1 LANSA Software Components


1.1.2 LANSA Repository Data

The LANSA Repository data is the application-specific data entered by a developer using the LANSA Software. The developer builds a repository for their business application. The LANSA Repository includes the following types of objects:

  • Fields
  • Files
  • Processes
  • Functions
  • System variables
  • HTML pages
  • Web Components
  • Forms
  • Reusable parts, and so on....

For example, in the Personnel System Demonstration, the PSLMST file and the EMPNO field are data in the LANSA Repository.

Ý 1.1 LANSA Software Components


1.2 LANSA Development Models

The following are the development models available with Visual LANSA. Click on one of the options to see more details:

Also See

1.2.10 Synchronizing Master and Slave Systems

1.2.11 LANSA for the Web Development Models


1.2.1 IBM i Slave Systems

An IBM i Slave is a Visual LANSA System on a Windows PC connected to a Master LANSA System running on an IBM i.

Master LANSA System

A Master LANSA System is identified by its ability to maintain its LANSA System Definition Data. Master LANSA Systems are independent. The Master System Definition Data is loaded when a system is installed or upgraded. LANSA Repository data can be imported from another LANSA System. (A Master LANSA System does not use a host monitor.)

If you use LANSA for iSeries on an IBM i it is always a Master System. Each LANSA for iSeries System may have a Slave Visual LANSA System.

A Visual LANSA System on Windows can be a Master System but it does not have any Slave Systems. It can have Clients, which can use the Repository data for development. Refer to 1.2.4 Independent Windows Server for more details.

Slave LANSA System

A Slave LANSA System is not able to maintain the LANSA System Definition Data. It receives its system definition from a Master LANSA System. It is dependent upon the Master LANSA System. The System Definitions must be updated on the Slave system whenever a change is made to the Master System.

A Slave LANSA System is loosely coupled to a Master System. It works separately from the Master System, but needs to obtain permission from the Master to make modifications to LANSA objects. It also obtains the latest version of an object from the Master System. And when the changes have been made they are checked back into the Master System. Only one Windows PC at a time has authority to make changes. Once a Windows PC has obtained authority, no other Windows PC will be permitted to change it.

A Slave LANSA System exchanges Repository data with the Master System using a host monitor to check-in and check-out Repository data from the Master LANSA System. For more details about the host monitor, refer to Host Monitor in the Administrator's Guide.)

A Visual LANSA System can be a slave to only a LANSA for iSeries Master System. It cannot be a slave to another Visual LANSA System.

You may have multiple Slave Visual LANSA systems on different Windows PCs accessing the Master LANSA Repository on a single IBM i.

Developing with Master and Slave Systems

When developing LANSA applications with Master and Slave Systems, there can be only one Master LANSA Repository. The Master LANSA Repository typically resides on the IBM i with the Master LANSA for iSeries System.

The Visual LANSA Slave system also has a local or Slave LANSA Repository. The Slave Visual LANSA Repository contains copies of the objects from the Master Repository that are in the process of being developed or maintained using Visual LANSA. Visual LANSA uses a database management system on the workstation to store the local LANSA Repository.

Two types of information are stored in the LANSA Repositories:

  • LANSA system definitions
  • LANSA application definitions.

It is very important to keep the LANSA system definitions and LANSA application definitions synchronized. LANSA provides a number of facilities to assist in this task. Refer to 1.2.10 Synchronizing Master and Slave Systems.

One of the IBM i Slaves will need to be designated as the Build Machine. See 1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.2.2 Local Client to a Slave Server

A Local Client to a Slave Server has a full LANSA system installed on the Windows PC except for the Repository which is accessed on the Windows Server (1.2.1 IBM i Slave Systems). Developers must be connected to the Slave Server.

To install this, in the installation process you choose as the Setup Type: Typical or Custom Visual LANSA development environment and select Client to a Slave Database Server (master is on an IBM i).

If any LANSA upgrades are needed, they must be made to each Local Client.

One of the Local Client machines, or the Windows Server will need to be designated as the Build Machine. See 1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.2.3 Network Client to a Slave Server

A Network Client to a Slave Server is a thin client that has only shortcuts installed. This means that all Repository and LANSA processes are accessed from the Windows Server. Because the network client obtains all files from the Windows Server, processing is slower than with a Local Client. With this client type, however, when any LANSA upgrades are made to the Windows Server, they are automatically also made to the Network Client.

A small number of files are installed locally for Visual LANSA to function correctly in this environment. Installation of the Microsoft C++ compiler is optional.

To install this, in the installation process select the Setup Type: Shortcuts to run Visual LANSA install on another workstation.

One of the Network Client machines, or the Windows Server, will need to be designated as the Build Machine. See 1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.2.4 Independent Windows Server

A Visual LANSA System is described as Independent when it is not connected to an IBM i Master System. It maintains its own LANSA System Definition Data and is the sole arbiter of object permissions. It may have one or more 1.2.1 IBM i Slave Systems linked to it. This allows the Repository data to be shared by more than one developer, but there is only one Repository.

The Deployment Tool is used to move or export your LANSA applications developed on an Independent System.

One of the Client machines, or the Windows Server will need to be designated as the Build Machine. See 1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.2.5 Local Client to an Independent Windows Server

A Local Client to an Independent Windows Server has a full LANSA system installed except for the Repository which is accessed on the Windows Server.

To install this, in the installation process you choose as the Setup Type: Typical or Custom Visual LANSA development environment and select Client to an Independent Database Server (Master is on a Windows workstation).

If any LANSA upgrades are needed, they must be made to each Local Client.

One of the Local Client machines, or the Windows Server will need to be designated as the Build Machine. See 1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.2.6 Network Client to an Independent Windows Server

A Network Client an Independent Windows Server is a thin client that has only shortcuts installed. This means that all Repository and LANSA processes are accessed from the Windows Server. Because the network client obtains all files from the Windows Server, processing is slower than with a Local Client. With this client type, however, when any LANSA upgrades are made to the Windows Server, they are automatically also made to the Network Client.

A small number of files are installed locally for Visual LANSA to function correctly in this environment. Installation of the Microsoft C++ compiler is optional.

To install this, in the installation process select the Setup Type: Shortcuts to run Visual LANSA install on another workstation.

One of the Network Client machines, or the Windows Server will need to be designated as the Build Machine. See 1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.2.7 Independent Windows Workstation to a VCS Master

A Visual LANSA System used with as VCS Master is always an Independent Visual LANSA System. It is a single user LANSA development environment. It has a local database and repository. It is connected to other Independent Visual LANSA Systems via a VCS Master.

A VCS Master is a Version Control System of your choice. It is only required to be able to store and retrieve text files.

This environment may be compared to the Visual Studio development paradigm. Visual LANSA is editing text files that have been checked out from the VCS or is creating them to be put in the VCS. The Repository is still used to contain the LANSA objects, but they are also now reflected into a directory which the VCS also has a view of.

The Deployment Tool is used to move or export your LANSA applications developed on an Independent System.

One of the Independent Windows Workstations will need to be designated as the Build Machine. See 1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.2.8 Windows Build Machine

An important aspect of a development model is isolating the construction of shipped objects to a single machine. This is often called a Build Machine. Packaging the application on a single machine allows the environment to be controlled. Changes to the operating system, C++ compiler and LANSA version may all change what is deployed. Thus LANSA recommends that a Build Machine is maintained for each version of the application in the field.

There are two features of Visual LANSA that make this imperative. A version number may now be assigned to a LANSA object and the construction of an MSI produces GUIDs and a version number of the application. The GUIDs in particular are vital for linking together an upgrade of an application to a previous version. If the GUID is different the application is effectively different even though all objects and version information are identical. This is a Windows Installer restriction.

Another extremely useful feature of a build machine is that it can be setup to automatically build your application nightly and then run automated tests on the resulting application.

Its possible to have multiple systems being built on one Build Machine. LANSA recommends against this so that later versions of your application can be built on the latest supported environment - operating system and compiler, and not effect older deployed applications. You will also be able to purchase more powerful machines and be using newer hardware that's more likely to continue running for the life of your deployed application.

A useful method to still use a single machine and ensure against ageing hardware is to use a Virtual Build Machine. The virtual machine is then much more easily moved to new hardware and also allows multiple Build Machines to be running on a single piece of hardware. Given the low level of use of Build Machines this may result in little difference in performance of the build of your application.

Also See

Compiler Settings

Ý 1.2 LANSA Development Models


1.2.9 Master and Slave System Configurations

Visual LANSA uses a database management system to store the local or Slave LANSA Repository. This section defines the supported database configurations for developing with the Master and Slave systems.

Supported Configurations

A separate Visual LANSA database must be used for each LANSA system on the IBM i. The database may be a workstation (single user) or a server (multi-user) database. Just one Visual LANSA database should be used for one LANSA Repository on the IBM i.

In the above configuration, a workstation or server with one Visual LANSA Repository is used to store information from one LANSA for iSeries system. More than one Slave System can store information from the same LANSA system, but there will be a separate local Visual LANSA Repository on each workstation for each LANSA system.

In the above configuration, a workstation or server database with two or more Visual LANSA Repositories is used to store information from different LANSA for iSeries systems. The LANSA systems may reside on one IBM i or on different IBM i servers.

Prohibited Configuration

The following Master and Slave Repository configuration will cause problems and is therefore not supported:

A single Visual LANSA database must not be used to store information from more than one LANSA system on the IBM i. It does not matter whether the LANSA systems reside on one IBM i or on different IBM i. You must use multiple Visual LANSA Systems so that each system is separate.

Ý 1.2 LANSA Development Models


1.2.10 Synchronizing Master and Slave Systems

When developing applications using Master and Slave LANSA Systems, you must keep both the LANSA System Definitions and the LANSA Application Definitions synchronized.

Synchronizing System Definitions

The system definitions of the local and master Repositories are set up using two automated procedures:

  • To populate each local Repository for the first time and to periodically update the definitions, you will use the automated System Initialization and Partition Initialization facilities. These facilities are described Connect Master and Slave Systems in the Visual LANSA Administrators Guide.

Synchronizing Application Definitions

Application definitions are transferred between your Master and Slave using one of the following:

  • Visual LANSA Check In/Check Out facilities, which are described in Host Monitor in the Visual LANSA Administrators Guide.
  • LANSA for iSeries Housekeeping Export facility and the Visual LANSA Import facility, which are described in Transferring Fields, Files, Processes and Functions.
  • LANSA for iSeries Repository Synchronization facility, which is described in LANSA PC Development in the LANSA for iSeries User Guide.

Ý 1.2 LANSA Development Models

LANSA for the Web development and operation can be done with a single-tier set up or a multi-tier configuration as described in this section.


1.2.11 LANSA for the Web Development Models

LANSA for the Web development and operation can be done with a single-tier set up or a multi-tier configuration as described in this section.

To develop LANSA for the Web applications, you will need:

  • A Data/Application Server, which can be a Windows or an IBM i server. The Data/Application Server is where your LANSA Repository resides and where the LANSA application runs.
  • A Web Server, which can be a Windows or an IBM i server. The Web Server can be the same IBM i as your Data/Application Server, i.e. you can use single IBM i for both the Web Server and Data/Application Server.
  • A Windows PC connected to the IBM i server to run the Web Administrator.
  • A Windows PC with a supported browser to test your applications.

Your application development environment may be different to your intended deployment configuration.

A typical multi-tier Windows-based development environment might appear as follows:

If you are running a single tier, Windows-based development environment where both the Web Server and the Data/Application Server are installed on a single PC your configuration will be similar to the picture following. This type of install is the standard, automatic install, provided by the LANSA Installation.

A typical Single-tier IBM i-based development environment might appear as follows:

Considerations for Web Development Environments

Following are some considerations for using LANSA for the Web with your LANSA development environment:

  • LANSA supports the concept of logical partitions to separate your different environments in your LANSA system. For example, you might have partitions for development (DEV), testing (TST), training (TRN), production (PRD), etc.
  • You do not have to use LANSA for the Web in all of your LANSA partitions.
  • A LANSA for the Web application developed in a partition executes independently of applications in other partitions. The application partition is identified when the user executes the LANSA for the Web application. Refer to Uniform Resource Locator (URL) Syntax in the LANSA for the Web Guide.
  • You must have both LANSA for iSeries and LANSA for the Web development licenses on the Data/Application Server in order to develop Web applications on the IBM i.

You must have both Visual LANSA and LANSA for the Web development licenses on the Data/Application Server in order to develop Web application on Windows.

Ý 1.2 LANSA Development Models


LANSA for the Web Administrator

The LANSA for the Web Administrator should be installed only on the System Administrator's PC. This is both for development and deployment systems.

Web Administrator is used to:

  • Configure the IIS Plug-in, Servlet, Apache Module
  • Configure the Web Runtime (Windows, iSeries, Linux)
  • Configure the iSeries Web Server
  • Perform maintenance tasks on Web Runtime.

These are tasks that usually only a System Administrator will perform.

When using LANSA for the Web on IBM i, you will only need to install, as a separate process, the LANSA for the Web Administrator. This is described in Task: Install Other Features .

The LANSA for the Web Administrator can execute in a local mode for IIS Plug-in configuration on a Windows Web Server, or it can execute in a client/server mode to the Data/Application Server. In client/server mode, it requires a connection to the Data/Application Server. A TCP/IP connection using a listener program on the server is recommended for this.

Ý 1.2.11 LANSA for the Web Development Models


Multilingual Considerations

Following are some multilingual considerations if you are using the LANSA for the Web Administrator:

  • If you are not using a completely US English version of LANSA, then you must be aware of code page translation issues on the IBM i.
  • To enable LANSA to display messages and translate data correctly from the host system, the following two files must be converted to the appropriate language: LCOECHAR.DAT (character translation) and LCOEMESG.DAT (error message text).
  • For more details, refer to Multilingual Support in the LANSA Open Guide.

Ý 1.2.11 LANSA for the Web Development Models


IBM i Software Components

When installing and configuring LANSA for the Web on IBM i, it is very important to understand the fundamentals of its architecture.

The diagram above identifies several of the key components used by LANSA for the Web, which are:

1. LANSA for iSeries

This is the core development environment. It provides the Repository and RDML technology used for the application database and programs.

2. LANSA for the Web

LANSA for the Web extends the LANSA for iSeries development environment. It provides the HTML components as well as the transaction support for executing applications over the Internet.

3. Item removed from diagram

4. LANSA for the Web Administrator

The Windows-based LANSA for the Web Administrator is used to configure the Web transaction environment and is only required as an administrator so is not required on more than the Adminstrator's PC.

5. Web Server

The Web Server can be on a separate platform (Windows or IBM i) or all software can be on a single IBM i. LANSA for the Web can be used with a number of Web Servers including IBM's HTTP Server for i5/OS, or Microsoft IIS for Windows.

6. CGI

You can use CGI with the IBM HTTP Server.

7. Client/Browser

The Client's browser sends requests to the Web Server and then it displays the resulting Web page. Internet Explorer is recommended.

Ý 1.2.11 LANSA for the Web Development Models


Windows Software Components

When installing and configuring LANSA for the Web on Windows, it is very important to understand the fundamentals of its architecture.

The diagram above identifies several of the key components used by LANSA for the Web. These components are:

1. LANSA for iSeries or Visual LANSA

The LANSA for iSeries is the development environment if an IBM i Data/Application Server is used. The Visual LANSA is the development environment if a Windows Data/Application Server is used. LANSA provides the Repository and RDML technology used for application database and programs.

2. LANSA for the Web

LANSA for the Web extends the LANSA development environment. It provides the HTML components as well as the transaction support for executing applications over the Internet.

3. Discontinued

4. LANSA for the Web Administrator

The Windows-based LANSA for the Web Administrator is used to configure the Web transaction environment and is only required as an administrator so is not required on more than the Adminstrator's PC.

5. Web Server

LANSA for the Web is used with Microsoft IIS and IIS Plug-in technology.

6. IIS Plug-in

LANSA for the Web on Windows uses IIS Plug-in technology.

You can use LANSA for the Web IIS Plug-in using ISAPI technology.

7. Client/Browser

The Client's browser sends requests to the Web Server and then it displays the resulting Web page. Internet Explorer is recommended.

Ý 1.2.11 LANSA for the Web Development Models


1.3 Choosing a Development Model

For information about choosing development models, refer to the following:

1.3.1 IBM i Master for Development?

1.3.2 Local Client or Network Client?

1.3.3 Windows Master for Development?

Ý 1.2 LANSA Development Models


1.3.1 IBM i Master for Development?

Pros

  • IBM i centric development. It's the model of choice for development shops with a major focus on IBM i.
  • Existing IBM i change management systems may be used.
  • Can develop without a connection to the Master System.
  • It's the model you've been using.
  • The LANSA development team has used this model extensively for developing LANSA in LANSA. (Not sharing the database with Repository Synchronization)
  • All developers can be kept up to date using Repository Synchronization.
  • Using Individual PC databases and Repository Synchronization together provides for some control over receiving other developer's changes as they are only received when connecting to Host Monitor.

Cons

  • The Master System must be available when installing the IBM i Slave and whenever system data needs to be updated. (System Initialization and Partition Initialization)
  • The Master System must be available to obtain permission to modify an object (Check Out) and to make those changes available to other developers (Check In)
  • When the database is shared or Repository Synchronization are used, other developer's changes are updated into a developer's environment according to the schedule of the other developer. They are not obtained on demand. That is, the developer is not sandboxed.
  • If the database is installed on each Developer PC then this requires more disk resource.
  • Each Developer needs to install and update their Visual LANSA software.

Note: The redundancy afforded by having the Master System reduces the importance of backing up individual PC databases. If a PC database is lost, then only the changes up to the last check in will be lost. If developer's check in frequently then little is exposed.

Ý 1.3 Choosing a Development Model


1.3.2 Local Client or Network Client?

A major constraint of deciding to use a Client model over individual developer databases (IBM i Slave), apart from the pros and cons listed, is the hardware specification of the client PCs and the server PC. If the server is relatively low specification, Network Client performance may be severely affected. On the other hand, if a powerful server is available the Network Client model becomes feasible.

A further difference with IBM i Slave is that the repository is shared so other developer's changes are immediately impacting the work environment - either positively as the updates are needed or negatively because they are defective. There is more control with an IBM i Slave, and even more with an Independent Windows Workstation to a VCS Master.

Local Client

Pros

  • Typically faster than a Network Client as the local PC resources are used for everything except the database.
  • Compiling and building is usually faster
  • Compiled objects are not shared so they may be compiled at any time

Cons

  • Each Developer needs to install and update their Visual LANSA software, as well as the Windows Server.

Network Client

Pros

  • A negligible footprint on the client. Not much more than a few shortcuts are added to the client.
  • Only the server needs to be updated with new LANSA releases.
  • The powerful server resources are used to compile and build.
  • Option to use the compiler on the client.
  • Repository is always up to date with other developer's changes.
  • Execution environment is always up to date with other Developer changes.

Cons

  • Compiled objects are shared so if another developer is using the object then it cannot be compiled and if its not being used then another developer's untested work may introduce defects into your code delaying development.
  • Insufficient server resources reduce productivity.

Note: Client Systems are sharing the database. This reduces the effectiveness of the redundancy afforded by having the Master System. If a PC database is lost, then the changes of ALL developers using that database up to the last check in will be lost. So using a Client model increases the need for a good PC database backup strategy to be implemented.

Ý 1.3 Choosing a Development Model


1.3.3 Windows Master for Development?

Pros

  • Windows centric team development. It's the model of choice for development shops with a major focus on Windows.
  • Existing Windows change management systems and version control systems may be used.
  • Can develop without a connection to the VCS Master System.
  • The LANSA development team is using this model for developing LANSA in LANSA.
  • Developers can choose when to update their Repository and what part of it, down to an individual object. The developer is in complete control of what LANSA Object updates they receive. Nothing effects their development environment without their express and precise consent. That is, they are sandboxed from all other developers.
  • Security and Task Tracking are disabled and are replaced by the VCS method of controlling access to LANSA objects. For example, a VCS may require an object to be checked out and that object may have limited permissions on it.
  • System data is maintained by Visual LANSA and can also be received from the VCS Master via alterations that have been made by another Developer and checked in to the VCS Master.
  • The sophistication of the development environment is expanded to the extent that the VCS Master provides those features. Those features may include, but are not limited to, branching, merging, source comparison, patches, labeling, and bug tracking integration.

Cons

  • A thorough understanding of the chosen version control system is required and it must also be administered and maintained.
  • The VCS Master System must be available when installing the IBM i Slave and whenever system data needs to be updated. (System Initialization and Partition Initialization)
  • The Master System must be available to obtain permission to modify an object (Check Out) and to make those changes available to other developers (Check In)
  • Each Developer PC requires more disk resource than with any other model.
  • Each Developer needs to install and update their Visual LANSA software

Ý 1.3 Choosing a Development Model


1.4 Recommended Development Models

For information about recommended development models, refer to the following:

1.4.1 Recommended IBM i Development Model

1.4.2 Recommended Windows Development Model

Ý 1.2 LANSA Development Models


1.4.1 Recommended IBM i Development Model

The recommended IBM i development model is a Visual LANSA Slave to an IBM i Master System.

The reasons for this development model are:

  • The primary target platform is IBM i.
  • Development is primarily IBM i in-house.
  • A change management system or a version control system third party tool is used on IBM i.
  • This model can also be used for Windows development.
  • These are the requirements for this development model:
    • Multiple partitions for staging
      For details, see System Partition Definitions in the LANSA for iSeries User Guide.
    • Task tracking and security
      For details, refer to Task tracking in the LANSA for iSeries User Guide.
    • Repository Synchronization
      For details, see Repository Synchronization in the LANSA for iSeries User Guide.
    • Interfaces to third party tools for change management or version control.
    • Separate build machine for Windows deployments, if deploying to Windows too.

    Ý 1.2 LANSA Development Models


Setup - Partitions

The Development partition is where the application is developed and where Task Tracking is used to track changes, lock objects to tasks, and synchronize changes as they occur. Developers check out objects to work on, make their changes, then check-in those changes. Unlocking of objects from tasks may occur on check-in, depending on the Task Tracking approach. When changes are complete, objects can be moved (export/import) to the Test partition for more stringent integration testing. Export List can be moved, as well.

The Test Environment is where Integration testing is performed. No changes are made here to the code here; all new/changed objects originate from Development. When testing is complete, objects are moved (export/import) to QA/User Acceptance environment, using and moving export list that originated in Development.

Quality Assurance / User Acceptance – Final testing/staging before promotion to Production; should be identical to Production with the exception of objects/feature/fix being evaluated; when users sign off on the changes, objects are promoted to Production (export/import).

Production – Final destination for any changed objects – this is where the end-users perform their day-to-day work.

Also See

System Partition Definitions in the iSeries User Guide.

Ý 1.4.1 Recommended IBM i Development Model


Setup - Task Tracking IBM i

All Task IDs are created and maintained in the LANSA for iSeries Master System, and all partition and other task tracking settings are set up in the LANSA for iSeries Master System.

Settings at the System level include Special Task IDs to support different Task Tracking approaches, and when objects are unlocked from a task.

Partition-level settings specify how developers interact with Task Tracking.

Export lists can be created to include all objects locked to a task, and the export list itself can be included in the export.

Deliver To can be used to transport objects to a Deployment System (IBM i or Linux), and can include an export list created on an IBM i).

Also See

Working with Tasks in the iSeries User Guide

Ý 1.4.1 Recommended IBM i Development Model


Setup - Task Tracking Visual LANSA

Task-oriented tracking

A task ID is created for each new unit of work, which might represent a new feature or a "fix". As work is completed, the task is "closed". All objects worked under a task are then exported for testing; once promoted to Production, the task is "finished" and all objects are unlocked from the task.

Product task tracking

Unique task IDs are created for each "product", or group of objects; multiple developers may use the same task ID. Use special task ID names (*T) with Repository Synchronization and Check-in Unlocking.

Individual developers

A task ID is assigned to each developer, who is the only one authorized to use that task. Use special task ID names (*U) with Repository Synchronization and Check-in Unlocking. User tasks are never "closed".

Minimum tracking

Only 1 task is created; all are authorized and use that task ID. Use special task ID name (*N; e.g. *NONE) with Repository Synchronization and Check-in Unlocking.

Also See

Approaches for using Task Tracking in the Visual LANSA Administration Guide

Ý 1.4.1 Recommended IBM i Development Model


Setup - Repository Synchronization

Host Repository Synchronization / Repository Groups / Work Groups

A Repository Group is a list of Visual LANSA PCs with a repository to be synchronized. Optional Work Groups can be used be used to group Visual LANSA PCs that share the same group of objects and need to be synchronized as a separate group. If no Work Groups are defined, all propagations go to all repositories.

Also See

Repository Synchronization Concepts in the Visual LANSA Administration Guide

Ý 1.4.1 Recommended IBM i Development Model


Lock by PC Name

This is a new feature in Version 13. When an object is checked out it is locked to the PC. No other PC can modify it. When it is checked out read-only, it is not locked to the PC. So it is important to check out read-only unless you intend to modify it.

There is an unlock option in the Visual LANSA IDE if you need to allow another developer to access it.

It can also be unlocked on the IBM i. See

Also See

Unlock Objects in Task Tracking

Change Task for an Object in the LANSA for iSeries User Guide

Ý 1.4.1 Recommended IBM i Development Model


Setup - Change Management/Version Control Strategy

There are many facets to change management within LANSA. There may be Third Party change management systems that suit your needs. See Third Party Packages in the Visual LANSA Administration Guide

Ensure that you understand all the following concepts and how they fit in with your development needs.

Impact Analysis – As objects that require change are identified, Impact Analysis can be used to assess the effect on related objects. See Impact Analysis Concepts in the Visual LANSA Administration Guide

Tasks – Tasks are created per the Task Tracking approach chosen. See Task Tracking Concepts in the Visual LANSA Administration Guide

Object History & Movement – As work is performed and objects are moved in and out of Development and Testing, a history of the changes made and an object's movements should be retained.

Synchronization – If multiple developers are working with the same group of objects, a strategy to ensure that they are working with current versions of objects, including changes, must be established. See Repository Synchronization Concepts in the Visual LANSA Administration Guide

Testing – A clear and concise procedure must be established for testing at each stage, and movement to the next phase of testing. This will include a comprehensive test plan which will change to accommodate new features and scenarios. This should include error reporting and correction.

Migration between environments – As changes are made, testing performed and work is completed, procedures to move between development, testing, acceptance and production environments are established.

Deployment – Once all work is completed and testing has been signed-off on, how will the final product be delivered? See Deployment Concepts in the Visual LANSA Administration Guide

Also See

Change Management in the Visual LANSA Administration Guide

Ý 1.4.1 Recommended IBM i Development Model


1.4.2 Recommended Windows Development Model

The recommended Windows development model is an Independent Windows Workstation to a VCS Master.

The reasons for this development model are:

  • The primary target platform is Windows.
  • Development is primarily Windows in-house.
  • Already using a Version Control System and, potentially, a change management system on Windows.
  • These are the requirements for this development model:
    • Version Control System of your choice
    • No task tracking or security
    • Separate build machine for Windows deployments.
    • All developers use Independent Windows Workstation to a VCS Master

    The Version Control System is a fundamental part of this model. The decision about which VCS suits your development shop will affect every facet of the development life cycle. VCS are many and varied. As such, it is almost essential that existing administrative and management experience in the use of a VCS already exists in-house.

    See the following sections for assistance in where to start with VCS:

    Ý 1.2 LANSA Development Models


What is a Version Control System?
  • A VCS helps provide discipline for team development
  • It tracks and provides control over changes to source code
  • Lets you track all changes to files over time and by whom.
  • Provides an easy mechanism to revert to previous working versions to back out defects - not just at a file level, but a whole system too.
  • Manages the locking of source code, merging, reversion, source comparison and much more...

In this diagram above we have a simple file (revision 3) that contains the text "Milk Eggs Juice". The developer checks it out and modifies the working copy so it now contains "Milk Eggs Soup". This change may be checked in, in which case it becomes revision 4 in the VCS. Or, the change is reverted to revision 3 so that the working copy is now "Milk Eggs Juice". This is a simple concept but provides for a powerful paradigm that allows the developer much more freedom to try out changes knowing that its firstly easy to revert and secondly if the change is committed to the VCS that the exact changes made are recorded and can be reverted at any time in the future.

In this scenario, the main trunk is branched at revision 4 to create a parallel development (revision 5) for adding new features to the product whilst the Main Trunk continues with bug fixes being applied. The developer gets straight into it and adds in the new feature "Rice" which produces revision 6. This change waits until sometime in the future when a new release is required and the change will be merged back into the Main Trunk.

Meanwhile a bug is reported from the field so "Bread" is added and this change is issued as a bug fix. Clearly the customer does not receive the change for the new feature. Its been isolated from the released code.

The time comes to produce the next release so the new features are merged back to the Main Trunk adding "Rice" to the file and resulting in "Milk Eggs Soup Bread Rice". This is a semi-automated step. The system can make most changes accurately but where the same line has changed it will report conflicts and require that the conflict is resolved before the change can be committed into the VCS to create revision 8. This happens here because line 4 has been changed in both the Main Trunk and Branch. In this case the developer decided that both changes needed to stay with the new feature change added after the Main Trunk change.

Also See

Working with Tasks in the iSeries User Guide

Ý 1.4.2 Recommended Windows Development Model


Why do I need a Version Control System?

Refer to these articles:

Visual Guide to Version Control

Visual Guide to Distributed Version Control

Good excuses NOT to use version control

Comparisons of some VCS tools

Example Costs

These costs are indicative only. Contact the supplier for exact costs and for purchasing the licenses.

Perforce - Free for up to 20 users and 20 workspaces, or unlimited users with up to 1,000 files, or for OSS or educational use; else $900 per seat in perpetuity, with volume discounts, or $360 per seat on a subscription model

Team Foundation Server - Free for up to 5 users in the TFS 11 express edition or for open source projects through codeplex.com; else non-free, licensed through MSDN subscription or direct buy

Vault - $300 per user

Subversion – Free

Git – Free

Mercurial – Free

Kiln built on Mercurial (Maximum $25 per user per month hosted. Including bug management - $30)

Ý 1.4.2 Recommended Windows Development Model


Visual LANSA Development using a Version Control System

This environment may be compared to the Visual Studio development paradigm. Visual LANSA is editing text files that have been checked out from the VCS or is creating them to be put in the VCS. The Repository is still used to contain the LANSA objects, but they are now reflected into a directory which the VCS also has a view of.

Also See

Ý 1.4.2 Recommended Windows Development Model


1.5 Promotion & Deployment

For further information on promotion and deployment, refer to the following:

1.5.1 IBM i Master Deployment Options

1.5.2 Windows Master Deployment Options

Ý 1.2 LANSA Development Models


1.5.1 IBM i Master Deployment Options

There is an IBM i Master. Deploy to the Test Environment on IBM i, Windows and Linux as described in this list:

  • To IBM i: Use IBM i Export from the IBM i Master.
  • To Windows: Get the latest objects from the IBM i Master to the Windows build machine then use Deployment Tool.
  • To Linux: Get the latest objects from the IBM i Master to the Windows build machine then use Deliver To
Also see

1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.5.2 Windows Master Deployment Options

There is a VCS Master and a single Windows Build Machine. Deploy to the Test Environment on IBM i, Windows and Linux as described in this list:

  • To IBM i: Get the latest objects from the VCS Master to the Windows build machine. Use Deliver To to move the objects to the IBM i. Deliver To can create an export list on the IBM i test environment. Then Export/Import from there to move to Production.
  • To Windows: Get the latest objects from the VCS Master to the Windows build machine then use Deployment Tool.
  • To Linux: Get the latest objects from the VCS Master to the Windows build machine then use Deliver To

Note: If a VCS Master is not being used for Windows development, then the picture starts with the Windows Build Machine.

Also see

1.2.8 Windows Build Machine

Ý 1.2 LANSA Development Models


1.6 LANSA for the Web Deployment Models

A deployment model will consist of a combination of two or more of the following components:

  • A Data/Application Server, which can be a Windows or an IBM i server. This is where your LANSA Repository resides and where the LANSA application runs.
  • A Web Server, which can be a Windows or an IBM i server.
  • A PC connected to the server to run the LANSA for the Web Administrator.
  • A Browser PC. This PC could be anywhere, depending on the application you are running.

You will need to install LANSA on one or more platforms to create the desired configuration.

If you are using a Windows Multi-Tier deployment model, you will typically use separate Windows machines for your Web Server and your Data/Application Server:

Refer to 1.6.1 Considerations for the Windows Multi-Tier Deployment Model for more details.

If you are using a Mixed Multi-Tier deployment model, you will typically use a Windows Web Server and an IBM i Data/Application Server. (Refer to the Installing LANSA on IBM i Guide to set up your Data/Application Server.)

Refer to 1.6.2 Considerations for the Mixed Multi-Tier Deployment Model for more details.

You can use a Windows Multi-Tier model, but develop your application on an IBM i as shown in the following example. In this case, you will import the Web application to transfer your existing LANSA application from the IBM i development environment to the Visual LANSA development environment.

If you are using a Single-tier IBM i deployment model, consisting of a single IBM i acting as both the Web Server and Data/Application Server, you will use the Installing LANSA on IBM i Guide.

If you are using a Multi-Tier IBM i deployment model, which uses an IBM i Web Server and an IBM i Data/Application Server, you will use the Installing LANSA on IBM i Guide.

Ý 1. Planning Your Site


1.6.1 Considerations for the Windows Multi-Tier Deployment Model

In a Windows Multi-Tier deployment, you will be using a Windows Web Server with a Windows Application Data Server.

Following are some considerations for a Windows Multi-Tier deployment model:

  • The Visual LANSA development environment is installed on the Data/Application Server. The LANSA Repository (including the generated HTML) and your application data are installed on this machine.
  • The LANSA for the Web PC-based Administrator will only need to connect to the Data/Application Server.
  • A Visual LANSA system is not required on the Windows Web Server. Only the LANSA for the Web IIS Plug-in needs to be installed on the Web Server.
  • The Windows Web Server can be Microsoft IIS with the IIS Plug-in.

Ý 1.6 LANSA for the Web Deployment Models


1.6.2 Considerations for the Mixed Multi-Tier Deployment Model

In a Mixed Multi-Tier deployment, you will be using a Windows Web Server with an IBM i Application Data Server.

Following are some considerations for a Mixed Multi-Tier deployment model:

  • The LANSA for the Web development environment is installed on the Data/Application Server along with LANSA for iSeries. The LANSA Repository (including the generated HTML) and your application data are installed on the Data/Application Server.
  • The LANSA for the Web PC-based Administrator will only need to connect to the IBM i Data/Application Server.
  • The Windows Web Server can be Microsoft IIS with the IIS Plug-in.
  • A Visual LANSA system is not required on the Window Web Server. Only the IIS Plug-in needs to be installed on the Web Server.
  • A Listener must be configured on the IBM i Data/Application Server for the communications link from the Windows Web Server.
  • Refer to the LANSA for the Web Administrators Guide for set up instructions for Multi-Tier Deployment.

Ý 1.6 LANSA for the Web Deployment Models


1.6.3 Multi-Homing with LANSA for the Web

Multi-homing allows you to use a single Web Server to handle multiple domain names or IP addresses. LANSA for the Web supports multi-homing.

If you are installing LANSA for the Web for the first time, you may wish to start with a single site. Once this system is operational, you can reconfigure the system to support multiple sites from your LANSA system.

Following are some considerations for multi-homing with LANSA for the Web:

  • You can configure a different LANSA system for each of the domain names (i.e. you can have more than one LANSA system installed), or you can configure a number of domain names to be directed to the single LANSA system. For example, you could configure each partition to have a separate IP address.
  • The LANSA for the Web Administrator is used to configure the multi-homing support. Be very careful when configuring multi-homing with the LANSA for the Web Administrator. In most cases, you must enter the system names or IP addresses instead of using the *DEFAULT value for system names.

Ý 1.6 LANSA for the Web Deployment Models


1.7 LANSA Integrator Development/Deployment Components

The LANSA Integrator software is installed by selecting individual components. You may need to install one or more software components to create the desired configuration.

The LANSA Integrator software includes the following software components:

1.7.1 Studio

1.7.2 JSM Server

1.7.3 JSM Proxy

1.7.4 RFI

1.7.5 User Agent

You may install them all together or separately as described in LANSA Integrator Install and Set up.

Ý 1. Planning Your Site


1.7.1 Studio

Integrator Studio simplifies the management with the JSM Server by providing a single point of access for the Integrator tools and the files created by those tools.

Integrator Studio provides an easy to use graphical interface that greatly simplifies the configuration and setup of the JSM Server environment.

Ý 1.7 LANSA Integrator Development/Deployment Components


1.7.2 JSM Server

The JSM Server may be installed on the same machine as the LANSA Data/Application Server.

As the JSM Server supports HTTP, FTP, SMTP and other services, it may be installed on the same machine as the Web Server.

The JSM Server Installation will install the JSMDirect CGI program, the Java Service programs, and other JSM objects on the server.

JSMDirect is the HTTP service extension to JSM. JSMDirect allows a LANSA or 3GL program to participate in Web services and B2B transactions. Microsoft IIS and Windows Script Hosting files must be installed.

The JSM Server requires a JRE installed on the machine.

Ý 1.7 LANSA Integrator Development/Deployment Components


1.7.3 JSM Proxy

JSMProxy is an HTTP proxy extension to JSMDirect. It allows a proxy server to redirect the request. Using JSMProxy is very useful as it allows you to define a single entry point and then redirect to a number of different remote servers. Microsoft IIS and Windows Script Hosting files must be installed.

The JSM Proxy Installation will install the JSMProxy CGI program.

JSM Proxy does not require a JRE installed on the machine.

JSM Proxy is typically installed on a different server than the JSM server. The purpose of a proxy is to redirect requests between servers.

Ý 1.7 LANSA Integrator Development/Deployment Components


1.7.4 RFI

Remote Function Invocation (RFI) is a means of sending and receiving serialized Java objects between a client JVM and the remote JSM server.

The RFI Example Viewer is a simple GUI application that illustrates how to use the RFIService client class and the JSM service RFIDataSourceService. The Java programmer modifies the RFIExample source code and compiles and runs the RFI Example Viewer application to execute the RFIExample class to perform a Remote Function Innovation (RFI) to the remote JSM server.

RFI requires a Java SDK (Software Developer Kit), which includes the JRE, installed on the PC.

RFI may be installed on the developer's PC.

Note: This software can be installed with Integrator or it can be installed separately. Refer to Task: Install Other Features.

Ý 1.7 LANSA Integrator Development/Deployment Components


1.7.5 User Agent

The User Agent is a Java-based tool, which allows file upload to a JSM HTTP Service using JSMDirect and sending of MQ-Series messages. The user agent allows Windows clients to enter data in spreadsheets (or in text files, comma or tab delimited formats or as more complex XML files), and send the validated files to remote hosts.

The User Agent requires a JRE installed on the PC.

The User Agent may be installed on an end-user's PC or on the developer's PC.

Note: Note: This software can be installed with Integrator or it can be installed separately. Refer to the Installing LANSA on Windows Guide.

Ý 1.7 LANSA Integrator Development/Deployment Components


2. Before You Start Your Install/Upgrade

Instead of using this guide, if you are

  • a new LANSA developer with no LANSA software already installed
  • an existing LANSA development site with no Visual LANSA development workstations already installed
  • wish to perform a Typical installation

you might prefer to follow the pictorial installation plan offered at Quick Install Planner

Select Install Planner from the Latest Version Information list.

The Install Planner pages will provide you with a graphical way to follow the steps required to quickly get your LANSA development environment up and running.

Otherwise, before you install or upgrade LANSA, please review 2.1 Install or Upgrade?

When the LANSA Windows Software DVD is inserted into a Windows PC, an autorun program will open the following window. If it doesn't open, invoke <drive>:\setup.exe to open it:

Select Install LANSA from the initial Install menu.

If this is not a French or Japanese Windows system, the installation will start in English.

The information in this guide is specific to LANSA Version 13.0 software. It cannot be used with earlier versions of the software. If you are installing an earlier version, please use the matching version of the LANSA guides.


2.1 Install or Upgrade?

  • If this is your first LANSA install or you wish to reinstall a trial version, then you will use the Installation process.
  • If you want to change from one installation model to another you must install a new system and move your applications to the new system. This is particularly important when moving to an Independent Windows Workstation to a VCS Master.

Otherwise, if your current LANSA version is:

  • Any version 12, you will use the Upgrade option
  • Version 13.0, you will use the Modify or Repair option.
  • If you use an SQL Server database, please read Upgrade Visual LANSA & SQL Database before continuing.


2.2 Visual LANSA General Checklist

Before starting, you should have:

  • LANSA Windows DVD containing the LANSA for Windows software.
  • A supported Microsoft Windows client or server operating system as appropriate.
  • A server license code or a hardware key (dongle), of a type suitable for your installation type, for the machine on which Visual LANSA will be installed. A server license code may be requested before or after installing Visual LANSA. If you chose to request a license before installing Visual LANSA, you will need to download the x_cpu utility from the LANSA support website.
  • Windows administrator rights to avoid security problems during the install.
  • Turned off your anti-virus software. Please leave it off while running the install/upgrade.
  • Ensure that any LANSA applications that you already have are stopped before commencing the install. This includes Visual LANSA, LANSA for the Web, LANSA SuperServer and LANSA Open jobs.
  • If you are installing onto a workstation running English, French or Japanese, the install will process in those languages. If your workstation is running in any other language, the install will start in English.
  • A supported C compiler. By default, the Microsoft Visual C/C++ 2010 compiler is installed if a supported compiler is not found.
  • TCP/IP must be enabled.
  • Connection to host (LAN adapter or other connector).
  • A supported database correctly configured. If an acceptable data source is not found, the Microsoft SQL Server Express database is installed. If you are using an existing data source for the Visual LANSA Repository, you will need to know the name of that data source.
  • If Oracle is used, this database must be OFA compliant. For detailed Oracle requirements, refer to Details of supported third-party software and hardware combinations in the Version Info/Supported Platforms menu items on the LANSA Web site.
  • If Adaptive Server Anywhere is used, you will need to change the precision to 127 and the scale to 63.

If you are connecting to a LANSA for iSeries system

  • The IBM i you are connecting to must be running a LANSA for iSeries System at the same version as the Visual LANSA System being installed. During the install, you will be connecting to the IBM i to download the system data to initialize the new Visual LANSA System. Make sure the IBM i master system is fully operational, with the listener jobs started.
  • It is assumed that you have the appropriate licenses for the IBM i Server.
  • Ensure that you have tested the IBM i User Profile that you will be using by invoking LANSA for iSeries using a 5250 terminal and:
  • checking that it has a properly configured library list which includes QGPL, QTEMP, the LANSA for iSeries program library and the LANSA Communications library.
  • has a System Distribution Directory entry on the IBM i.

Hardware Requirements

The recommended minimum Visual LANSA Slave Workstation requirements are:

  • Intel Core i5.
  • 4 Gb of RAM.
  • 5 Gb of free disk space. The total amount of disk space required is dependent upon the size and complexity of your application. The install process will tell you how much space you need for the actual software that will be installed on your workstation.
  • Color monitor with 1920 x 1080 resolution.
  • DVD drive or network access to a DVD drive.
  • 1 Gb graphics card with DirectX support.

After the installation completes

  • After the installation completes, configuration tasks may be required before the LANSA software can be executed. For example, LANSA for the Web and LANSA Integrator require that the servers be configured with the specific settings used by your site before you execute the software.
  • If a database log on or communications link fails during a Visual LANSA installation phase, you may not have completed the system initialization. You do not have to reinstall the software. Simply log on to Visual LANSA to complete the initialization. The initialization program will be called when Visual LANSA is executed for the first time.

Depending on the required installation type, review the appropriate checklists for any extra requirements:

  • 2.2.1 Checklist for Visual LANSA Independent/Slave
  • 2.2.2 Visual LANSA Client Only - Network and Local Checklist
  • 2.2.3 LANSA for the Web on Windows General Checklist
  • 2.2.4 LANSA for the Web - Web Server Checklist
  • 2.2.5 LANSA Open Checklist
  • 2.2.6 LANSA Integrator Checklist


2.2.1 Checklist for Visual LANSA Independent/Slave

The items on this check list are in addition to those listed in the 2.2 Visual LANSA General Checklist.

  • Do you know the computer node name of your workstation? If not, LANSA will assign one for you. For further information about node names, refer to Define Personal Computers to LANSA.
  • If a connection has not already been defined do you have the IBM i system network details? You will require the system network name (LU Name) or IP address and the Listener's Port number for the IBM i server.
    For details, refer to the LANSA Communications Setup Guide about configuring your workstation connection to a IBM i Server.


2.2.2 Visual LANSA Client Only - Network and Local Checklist

The items on this check list are in addition to those listed in the 2.2 Visual LANSA General Checklist

For Network Clients

  • Do you know if you are performing a Local Client or a Network Client Install? Refer to LANSA Development Models if you would like more details.
  • Is LANSA installed on the server?
  • Make sure the database is accessible from other machines and the User Id has access to the database.
  • If you are performing a Network Install, on the Client PC, map to the drive on the server where Visual LANSA is installed. Also check that you have write access rights to the mapped drive.
  • Do you have more than one LANSA System on the server you will be connecting to?
    If yes, then you should note the lroute.dat Requirements.
  • Do you have write access to the server? (See how to do this in Administrator rights to the Server for the Network Client Install.
  • Do you have read permission to the server's registry?
  • Do you have Windows administrator rights on the client machine?
  • Do you wish to have the C/C++ compiler installed locally? Optional.

Local Clients Only

  • Is Visual LANSA installed on the server?
  • Make sure the database is accessible from other machines and the User ID has access to the database.


lroute.dat Requirements

A LANSA Server system that has Network Client connections MUST have a Communications route table (lroute.dat) in its Connect directory.

If there is only one LANSA System installed on a Server, then you need to take no action, as the Communications route table will be created as part of the install and will be in the Connect directory.

When there is more than one LANSA System on a Server there may be only one lroute.dat table. This Communications route table (lroute.dat) must be copied to the Connect directory of all LANSA Systems that are used by Network Clients.


Administrator rights to the Server for the Network Client Install

To allow a user to run a Network Client Install, the user must be able to read the server's registry. (This access is not necessary for Local Clients.)

There are two ways to achieve this:

Make the user an Administrator on the server.

or

Give the user Read Permission to the registry, as described below:

1. Open the registry editor using RegEdt32.exe and navigate to the following key:

HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\SecurePipeServers\Winreg

2. View the permissions for this registry key by selecting Edit\Permissions (as per Windows XP) from the menu. THE PERMISSIONS ON THIS REGISTRY KEY APPLY TO THE WHOLE REGISTRY.

3. Add a user or group and give them Read permission. The user or group will then be able to read the whole registry.


2.2.3 LANSA for the Web on Windows General Checklist

These items are additional to those listed in the 2.2 Visual LANSA General Checklist.

  • If you intend to develop WAMs, you will need Internet Explorer V7.0 (or higher) and the MSXML 6.0 parser. The MSXML parser is installed with Visual LANSA.

Depending on the other software components to be installed, you may need to review one or more of the following Checklists:

  • 2.2.4 LANSA for the Web - Web Server Checklist
  • 2.2.5 LANSA Open Checklist
  • 2.2.6 LANSA Integrator Checklist


2.2.4 LANSA for the Web - Web Server Checklist

The items on this check list are in addition to those listed on the 2.2.3 LANSA for the Web on Windows General Checklist:

  • Do you know the User ID you will use on the Data/Application Server? (This can be a new or existing user.)
  • On Vista, Windows 2012 Server, Windows 7 is IIS enabled?


2.2.5 LANSA Open Checklist

If LANSA Open is installed with other LANSA software, you will have satisfied the requirements if you have completed the General checklist, however,
if you plan to install LANSA Open by itself, you will need:

  • LANSA DVD containing the LANSA Windows software.
  • A LANSA Open license. A license code may be requested before or after installing LANSA Open. If you chose to request a license before installing LANSA Open, you will need to download the x_cpu utility from the LANSA support website.
  • If you are using a LANSA for iSeries server, the LANSA for iSeries software and the LANSA Open software at the same version.
  • A connection to host (LAN adapter or other connector).
  • A supported Microsoft Windows system.
  • TCP/IP enabled. Refer to the LANSA Communications Setup Guide for details about configuring your workstation connection to an IBM i Server.

If you are upgrading from an old version of LANSA Open, refer to the Special Note.


2.2.6 LANSA Integrator Checklist

LANSA Integrator uses this independent software:

  • JSM Server. Note that the JSM Server can be installed, but will not execute, if the proper software is not installed.
  • JSM Proxy.
  • RFI
  • User Agent

Before starting, you should have:

  • LANSA DVD containing the LANSA Windows software for the current version of LANSA.
  • License code(s), of a type suitable for the software that you are installing.

and

  • If you are connecting to LANSA for iSeries system, it must be at the same version as the LANSA software being installed.

You will also need:

For JSM Server and JSM Proxy:

  • Microsoft IIS and Windows Script Hosting enabled. IIS and WSH are standard shipped Microsoft Operating System features and should already be installed on your PC.

If you do not have them installed and enabled before you start this process, the installation won't be able to include them in the configuration and you will need to do it manually after the installation has been completed.

  • The appropriate Java Runtime Environment (JRE), installed. The appropriate version can be downloaded from the Javasoft Web site. Note: JRE is not required on the proxy server.
  • Java 2 Software Development Kit (SDK) at Version 1.4 or above.
  • TCP/IP connection to the JSM Server.

The install will advise you of the disk space requirement, so it hasn't been detailed here. The install will also tell you about the software that you will need, if it isn't present on the workstation.


2.2.7 Install Steps for LANSA for the Web in a Multi-Tier Configuration

A Multi-Tier installation involves the installation of LANSA software on both the Data/Application Server and the Web Server. Please refer to the LANSA for the Web Administrator's Guide for the steps required to set up this configuration.


2.3 Frequently Asked Questions

Frequently asked questions about installing and configuring LANSA software have been grouped by the software product being installed:

2.3.1 General Questions

2.3.2 Visual LANSA Questions

2.3.3 LANSA for the Web on Windows Questions

2.3.4 LANSA Integrator Questions

2.3.5 LANSA Open Questions


2.3.1 General Questions

Following are some frequently asked questions about the LANSA Windows software installation/upgrade:

Do I want to Install or Upgrade?

If you wish to keep your existing LANSA software and install a new system, then you will use the Install option. Do not perform an Upgrade. An Upgrade will replace the existing software. An Install will allow you to install a new system.

You can install more than one version of the LANSA software.

Note: If you wish to update an existing new system, select the Modify or Repair an existing install option as the LANSA Setup Type.

Can I install more than one copy of a LANSA product on a single machine?

Yes. You can install more than one copy of a LANSA Product on a single machine. For example, you could have a Version 12 LANSA for the Web Administrator and a Version 13 LANSA for the Web Administrator installed on the same machine. Or, you could also have two copies of the Version 13 LANSA for the Web Administrator installed on the same machine.

If you wish to have more than one copy of the same LANSA Product installed, just install LANSA into a different directory using a different database instance.

These different installs or instances are entirely independent. They can be run concurrently or independently. Just locate the program folder and execute the particular LANSA feature you need to use.

Can I run more than one install program at a time?

No. Always allow the first installation to complete before you run the next install program.

Because you can install a number of LANSA software products at the same time, you should not need to run more than one install – on the same workstation.

When should I use the Typical install versus the Custom install option?

The Typical install should be used in most circumstances. The Typical install asks the fewest questions and uses the default settings. Using the Typical install, you are still able to specify the software install location (if required).

The Custom install is provided for experienced LANSA developers. The Custom option allows you to choose the products you wish to install and to change the default installation and configuration settings. It is your responsibility to ensure that the software installed using the Custom install will operate properly.


2.3.2 Visual LANSA Questions

Following are some frequently asked questions about the Visual LANSA installation/upgrade:

May I initialize my Slave Visual LANSA system if I am not connected to a Master System?

No, you may not. It is essential when first installing Visual LANSA that it is able to connect to the Master.

Note: If a database logon or communications links has failed during a Visual LANSA installation, you may not have been able to complete the system initialization. You do not have to reinstall the software. Simply logon to Visual LANSA to complete the initialization. The initialization program will be called when Visual LANSA is executed for the first time.

May I change from one installation model to another?

You may install multiple versions of Visual LANSA and switch between these different versions.

You must not change a Visual LANSA System into any other type of system. This is particularly important when the existing system is a VCS Master. The VCS Master repository is fundamentally different to a Slave repository with the VCS Master system containing no reliable Security or Task information.

You must install a new Visual LANSA System and move your applications to the new system.

Should I install and use the Microsoft SQL Server 2012 Express database?

The Microsoft SQL Server 2012 Express database is shipped with the Visual LANSA software. If a supported database is not found, the Microsoft SQL Server 2012 Express database will be installed.

Note: You are only licensed to use the Microsoft SQL Server 2012 Express database for Visual LANSA development. If you deploy an application that uses this database, you must obtain a separate license from Microsoft.

Should I install and use the Microsoft Visual C/C++ compiler?

The Microsoft Visual C/C++ compiler is shipped with the Visual LANSA software. If a supported compiler is not found, this compiler will be installed.


2.3.3 LANSA for the Web on Windows Questions

Following are some frequently asked questions about installing and configuring LANSA for the Web on Windows:

How much security do I need?

The level of security required is determined by the type of Web site you are creating. Internet, Intranet and Extranet applications require and offer different levels of security.

Security can be defined at the network, Web Server, Data/Application Server and LANSA levels. For example, you can use firewalls on the network along with user profile and object level security on the IBM i. LANSA for the Web provides an additional three levels of security. For more details, refer to Configuring LANSA for the Web Security in the Installing LANSA on IBM i Guide.

During the initial installation and configuration of LANSA for the Web, you may wish to begin with very basic security requirements. The anonymous user access to LANSA for the Web is recommended when you first install and test LANSA for the Web. Once your system is operating properly, you can enhance the security features used.

A Multi-tier LANSA for the Web installation can also increase your site security so that your Data/Application Server is not directly connected to the Internet.

LANSA for the Web supports the use of Secure Socket Layers.

Where can I find more information about different Web Server installation and configuration options?

Refer to LANSA for the Web Development Models for the various development scenarios you might use and LANSA for the Web Deployment Models for the development models you could use.

You can also check the LANSA Web site for the latest product updates and updated information about Web Server configurations.

Your local LANSA Agent will give you details about supported platforms or you can refer to the LANSA Supported Platform document.

Should I install LANSA Integrator if I am doing Web Development?

LANSA Integrator supports a variety of XML features and services. If your Web application involves the exchange of XML documents, you should review the LANSA Integrator features.

For more details, contact your local LANSA agent or visit the LANSA Web site.


2.3.4 LANSA Integrator Questions

Following are some frequently asked questions about installing and configuring LANSA Integrator:

When should I install the User Agent?

If you need a flexible end-user utility to upload files to a JSM HTTP Service or if you need to send MQ-Series messages, you will want to install the User Agent.

The User Agent is designed as a very simple end-user upload utility.

If you have no other LANSA software on your machine, you may prefer to install User Agent using the Other Feature install. Refer to Task: Install Other Features.

No license code is required to use the User Agent on the end user PC. A license code is required on the JSM Server being contacted.

When should I install RFI?

If you are a Java developer and you wish to use the LANSA Integrator Remote Function Invocation, then you will need to install RFI.

If you have no other LANSA software on your machine, you may prefer to install RFI using the Other Feature install. Refer to Task: Install Other Features.

When should I install Studio?

You should always install Studio. Studio is the desktop interface to the JSM server instance. It allows bi‑directional file transfer between the user desktop and the JSM server. Studio allows projects to be created and properties to be retrieved and published to the JSM server. The XML Wizard, SOAP Wizard and editors are executed from Studio.

When should I use the Independent Integrator Install?

The RFI and User Agent Independent Install is used when RFI and/or the User Agent is being installed on a machine that contains no other LANSA products. If the machine contains a Visual LANSA System or other non-Visual LANSA products, you should use the integrated install programs from the LANSA Windows Software Main Menu.


2.3.5 LANSA Open Questions

Following are some frequently asked questions about installing and configuring LANSA Open:

Can I have more than one version of LANSA Open installed?

Yes. You can have more than one version of LANSA Open installed.

You may also have more than one copy of LANSA Open (at the same or different versions) installed on a single machine.

Do I have to install LANSA Open if I am using LANSA Client?

No. You do not need to perform a separate install of LANSA Open when using products such as LANSA Client. When LANSA products use the LANSA Open technology, the necessary files are included with the LANSA install.

You must install LANSA Open and you must have a LANSA Open license if you are using a third party development tool to create client/server applications.


3. Install LANSA on Windows

When you first load the LANSA for Windows DVD, the following options will be displayed:

Choose the Install LANSA option to open the Setup dialogs in which all of your install selections will be made.

There are four decisions in this installation process. They are:

1. Select the type of install: Install, Upgrade or Repair.

2. If you select a Custom or Other LANSA Features install, you must Select the Features you wish to install.

3. Select the type of Visual LANSA system you will be using, such as Windows Server, Independent, Local Client or Network Client.

4. Specify the Options to be used for the products you will be installing in your new installation.


3.1 Choose Install/Upgrade or Repair

Use the Setup Type dialog to specify:

If this is

  • a new installation - that is, a brand new installation or an upgrade of an installation of the same LANSA version, select New Install.
  • an upgrade of an existing installation - that is, a version earlier than the one you are installing. Go to Upgrade LANSA on Windows
  • if you are modifying or repairing an existing system, select Modify or Repair an existing install

As this is a new installation, select the type of installation to be performed. This could be:

  • Typical Visual LANSA Development Environment
  • Custom Visual LANSA Development Environment
  • Shortcuts to run Visual LANSA installed on another machine (Network Client)
  • Other LANSA Features

You may install more than one LANSA configuration on your workstation. LANSA supports multiple versions of the software on a single workstation. For example, you might have an existing Visual LANSA System at Version 11.0 and you wish to install another Visual LANSA System at Version 12.0. To install LANSA into a new configuration, specify a location where LANSA has not previously been installed.

If you install the software into a directory already containing LANSA software, the existing software will be overwritten. Settings for the overwritten software will be lost.

Typical Visual LANSA Development Environment

This option will install a new LANSA configuration with a Visual LANSA development environment. Selecting a Typical environment means that these predefined features and options will be installed:

  • a Visual LANSA System,
  • LANSA for the Web IIS Plug-in Web Server
  • LANSA Open.

With a typical install, it is possible for a developer to design, build and test a full range of LANSA applications including host, Web, and component applications.

Defaults are assumed except for certain critical options which are user/system specific.

The list of features that will be installed and the options selected may be reviewed on the Summary screen prior to the install. Modifications may be made, if necessary. If you wish to change any features or non-critical options you must cancel this Install and perform a Custom Visual LANSA Development Environment instead.

Microsoft IIS must be installed in order to use the LANSA for the Web IIS Plug-in Web Server. If IIS is not installed, a warning will be displayed that IIS will not be configured. In that case, manual configuration steps must be completed before the Web development environment will be operational.

Go to 3.3 Select the Visual LANSA System Type

Custom Visual LANSA Development Environment

This option will install a new LANSA configuration with a Visual LANSA development environment. By selecting a Custom environment you will be able to select (or deselect) the features and options that you require. You will then be able to specify the actual details for each option, if you choose.

Go to 3.3 Select the Visual LANSA System Type

Shortcuts to run Visual LANSA installed on another machine (Network Client)

This option will install shortcuts to run Visual LANSA which has been installed on the same or another PC. This installed system is referred to as a Network Client and its server is a Windows Server. In this setup, all Visual LANSA options are dictated by the Windows Server. A small number of files are installed locally for Visual LANSA to function correctly in this environment. Some other files can be optionally installed locally (for example, the Microsoft Compiler).

Once you have selected this option, you will immediately be asked to enter your Network Client Server details. Refer to 3.4.21 Network Client Server Details.

Other LANSA Features

This option will install new LANSA software with any LANSA feature other than Visual LANSA. For example, you would use this option if you wish to install the LANSA for Web Administrator on an Administrator's PC. All features and options can be customized.

Go to 3.2 Select Features to choose the features you wish to install.

Which directory will LANSA be installed into?

The directory into which all the LANSA features will be installed.

A default, new directory, is displayed. Amend it if necessary. If the directory doesn't exist, it will be created.

Note:
  • The directory must be on a local drive.
  • UNC paths or URLs cannot be used.
  • The root of an existing drive cannot be used (for example, "c:\", "c", "e:\").

Existing configurations

When you select a New Install, all LANSA configurations which can be upgraded or modified/repaired are listed. The list will be in display-only mode as it is irrelevant for a new install.

Help

This button will open the Installing LANSA on Windows Guide.


3.2 Select Features

If you select a Custom Install or Modify or Repair an existing install, the Features dialog will display a list of the software products and features which you can include as part of this process.

Features that are pre-requisites for other features will be automatically selected and cannot be unselected until the reliant feature is unselected. For example, LANSA Open Core Files will be automatically selected if you select LANSA Open. To unselect LANSA Open Core Files you must first unselect the LANSA Open.

When you select Modify or Repair an existing install, the features that are already installed appear in bold and are underlined. If a new feature which has a pre-requisite is selected, the pre-requisite feature does not have to be installed again if it is already installed.

Directory where LANSA features will be installed

This is the directory selected on the preceding dialog. If you wish to change it, use the <Back button to return to the preceding dialog to change it.

Recommended minimum drive space

Ensure that there is adequate disk space to install the selected features.

If you have insufficient space, an error message will be displayed. You should cancel the install, or deselect some features until the space available on your PC is adequate.

If installing Visual LANSA, be aware that the disk space requirement will increase if you choose to install SQL Server or to create a new SQL Server Instance.


3.3 Select the Visual LANSA System Type

The Visual LANSA System Type dialog helps to determine the type of Visual LANSA system to install. The type can be specified by selecting, in the left hand pane:

  • the system type from the drop down list

or

  • answering the questions in the bottom section.

Visual LANSA System Type

From the dropdown list, select the required system type:

  • 3.3.1 IBM i Slave
  • 3.3.2 Independent Workstation to a VCS Master
  • 3.3.3 Independent Visual LANSA System
  • 3.3.4 Client to a Slave Database Server
  • 3.3.5 Client to an Independent Database Server

The options at the bottom of the pane will reflect the System Type chosen.

Database Location?

Tick this option if you are creating a database on this workstation.

System Type

Tick IBM i Slave if the system will be connecting to a Master IBM i LANSA system.

Tick Version Control System if this system is connected to other Independent Visual LANSA Systems through a Version Control System Master Repository.

These 2 options are mutually exclusive.


3.3.1 IBM i Slave

Select this option if you are installing a Slave Visual LANSA System on a Windows PC connected to a Master LANSA system running on an IBM i. The IBM i Master holds the master database and Repository.

This installation type allows LANSA developers to extend existing LANSA for iSeries applications using the features, power and productivity of the Visual LANSA development environment.

The following diagram shows a Slave Visual LANSA system on a Windows PC as a slave to an IBM i Server. Optionally, one or more Visual LANSA Network or Local Client PCs may be connected to this Visual LANSA Slave system.

The Slave Server System will connect to the Master LANSA for iSeries System using the Host Monitor. You can have more than one slave Visual LANSA system connected to an IBM i.

A local or Slave Repository is installed along with a C/C++ compiler. (The compiler will not be installed if a supported compiler is already present.) You may select any existing supported database or an SQL Server Express database can be installed.

Prior to running this installation, be sure to check that your IBM i's LANSA for iSeries System is at the same LANSA version, because, when you connect to the IBM i master, the system definitions will be downloaded to initialize the new Slave Visual LANSA System.

Network or Local Clients

The slave Visual LANSA System may be shared by one or more Visual LANSA Network Clients or Local Clients. Refer to the Network or Local Client or 3.4.21 Network Client Server Details for notes on installing Visual LANSA on these Clients.

Developers on client PCs cannot work when disconnected from the server.

It is recommended that you install only one LANSA Server on one Windows PC, however, if you have multiple Servers on a single Windows PC, each LANSA System which has client PCs attached, must have a copy of the LANSA Communications file lroute.dat*. Locate and copy the lroute.dat file into each required LANSA configuration's Connect directory.

* LANSA maintains one lroute.dat file per PC. When network or local clients are used, each Visual LANSA System to which they are attached must have a copy of the lroute.dat file.


3.3.2 Independent Workstation to a VCS Master

Select this option to install an Independent Windows Workstation to a VCS Master. This is an Independent Visual LANSA System which is not connected to an IBM i but is connected to other Independent Visual LANSA Systems through a Version Control System Master Repository.

For this System Type, a local Repository is installed along with a C/C++ compiler. (The C/C++ compiler will not be installed if a supported compiler is already present.) You may select any existing supported database or the SQL Server Express database can be installed.

The Deployment Tool can be used to move or export LANSA applications developed using a Visual LANSA Independent System. Alternately you can define a Deployment System associated with the Independent System and use the Deliver To facility to move your LANSA applications to a Linux or IBM i environment.


3.3.3 Independent Visual LANSA System

Select this option to install an independent Visual LANSA System. This is an Independent Visual LANSA System which is not connected to an IBM i.

For this System Type, a local Repository is installed along with a C/C++ compiler. (The C/C++ compiler will not be installed if a supported compiler is already present.) You may select any existing supported database or the SQL Server Express database can be installed.

The Deployment Tool can be used to move or export LANSA applications developed using a Visual LANSA Independent System. Alternately you can define a Deployment System associated with the Independent System and use the Deliver To facility to move your LANSA applications to a Linux or IBM i environment.

Network or Local Client

The slave Visual LANSA System may be shared by one or more Visual LANSA Network Client or Local Client. Refer to the 3.3.5 Client to an Independent Database Server or 3.4.21 Network Client Server Details for notes on installing Visual LANSA on these Clients.

Developers on client PCs cannot work when disconnected from the server.

It is recommended that you install only one LANSA Server on one Windows PC, however, if you have multiple Servers on a single Windows PC, each LANSA System which has client PCs attached, must have a copy of the LANSA Communications file lroute.dat*. Locate and copy the lroute.dat file into each required LANSA configuration's Connect directory.

* LANSA maintains one lroute.dat file per PC. When network or local clients are used, each Visual LANSA System to which they are attached must have a copy of the lroute.dat file.


3.3.4 Client to a Slave Database Server

For this client type, a copy of the LANSA software is installed on the client PC. This LANSA software accesses the Application Repository on the existing Visual LANSA Slave Server. There is no LANSA Repository installed on the client. When using a client, developers must be connected to the Slave Server.

Before you can start, the Visual LANSA Server system must already be installed.

If a supported compiler is not present on this workstation, a C/C++ compiler can be installed. Refer to 3.4.10 Compiler.

Compiled program objects will reside on the client. Database objects must reside on the Slave Server.


3.3.5 Client to an Independent Database Server

For this client type, a copy of the LANSA software is installed on the client PC. This LANSA software accesses the Application Repository on the existing Visual LANSA Independent Server. There is no LANSA Repository installed on the client. When using a client, developers must be connected to the Independent Server.

Before you can start, the Visual LANSA Server system must already be installed.

If a supported compiler is not already present on this workstation, a C/C++ compiler can be installed. Refer to 3.4.10 Compiler.

Compiled program objects will reside on the client. Repository objects must reside on the server.


3.4 Specify Options

The Options and Summary dialog lists the options and settings that will be used to do the install based on the Install Type and System Type that you have selected.

The options listed are essential to the correct operation of your LANSA system.

Options that are displayed in bold are known as mandatory options and must be reviewed before the Install can continue. These options are key to the correct operation of your LANSA system or are user specific (such as user ids and passwords). Options will be ticked [image] when you have made your selection. A question mark [image] indicates options that still require your attention. If you have elected to install a Typical Visual LANSA development environment, only mandatory options are displayed.

Select a section heading (for example, Common Options) and a summary of all settings in all sub-sections will be displayed in the right hand pane. Select an option and the related settings will be displayed in the right hand pane. You can then modify the settings as required. The settings are verified and saved when either another option is selected, or a button is pressed.

The settings and options are described in the following topics. Depending on the products being installed, the options that could be required are:

3.4.1 Windows Start Menu Folder

3.4.2 Configure IIS

3.4.3 LANSA Network Name

3.4.4 Database

3.4.5 Data Source Options

3.4.6 Initialize Database and Partitions

3.4.7 Connection Information to Master

3.4.8 IBM i Language Options

3.4.9 Local Data Directory

3.4.10 Compiler

3.4.11 Listener Service Options

3.4.12 User Id for Visual LANSA Web Configuration

3.4.13 User Id for Web Server Configuration

3.4.14 Websites for IIS Plugin

3.4.15 Website for Web Images

3.4.16 IIS Virtual Folder

3.4.17 JSM Administrator Service

3.4.19 User Id for JSMDirect Configuration

3.4.20 LANSA Open Translation Tables

3.4.21 Network Client Server Details

If you select a sub-heading and valid data cannot be entered (due to a previous incorrect selection or for some other reason), you can exit from that option by pressing the Back without saving button.

Export Settings

The Export Settings button will save all settings and options to a Configuration File. The Configuration File can then be used for a 3.5 One-Click Install. When you save a Configuration File, the Password Protection dialog will request a password. That same password will be required when using the Configuration File in a One-Click Install.

Back without saving

Settings are verified and saved when another option is selected. If an option has been selected but valid data cannot be entered (due to a previous incorrect selection or for some other reason), you can exit the option by pressing the Back without saving button. All settings in the option will be reset to their value prior to the option being selected. The option's dialog will be closed and the [image] question mark will be reinstated.

Install

Press the Install button to start the file transfer and configuration part of the install. Make sure that your settings and options are correct before pressing Install.

Cancel

Press Cancel to cancel and exit this install process. None of the options or settings you have selected will be saved.


3.4.1 Windows Start Menu Folder

The Window Start Menu Folder allows you to specify the folder name that will be used for any program icons required by the installed programs. The new folder will appear under Programs in the Start Menu and on the Desktop.

Program Folder

You may select one of the Existing Folders listed or you may enter a new folder name.

If the folder does not already exist, it will be created.


3.4.2 Configure IIS

This dialog asks whether IIS should be automatically configured by the LANSA install.

IIS needs to be configured if IIS Plugin, Web Images, Java Server Manager or Java Service Manager Proxy are being installed.

If you select Yes, IIS is stopped to be automatically configured. Once configuration is complete, IIS will be restarted.

If you select No, the files will be installed but you will need to configure IIS manually.

No is the default.


3.4.3 LANSA Network Name

For an IBM i Slave System, you must specify the name of the Slave to which the LANSA for iSeries Master will refer to.

Specify a name

If you select this option, the corresponding value will initially contain a name that is generated by the LANSA install. This name will only be unique amongst all the configurations on your PC.

You can use the generated name or you can enter another valid name.

The first six characters of this LANSA Network Name should be unique to both your PC and within the LANSA for iSeries Master system.

The install will detect if the entered name is not unique on your PC and if so, you will be asked to confirm the name or assign a new one.

The recommended option is to contact your IBM i Administrator to obtain a unique name.

A valid LANSA Network Name must pass all of the following rules:

  • start with a letter (A – Z), '#' or '@'
  • all remaining characters must be a letter (A – Z), digit (0 – 9), '#', '@' or '_'
  • the length must not exceed 10 characters

If you use Repository Propagation, you will need to also change the Repository Propagation name. You can learn more about Repository propagation in the IBM i User Guide.

Use this Computer's Name

Select this option to use the computer's name as the LANSA Network Name. The computer's name will be shown in brackets.


3.4.4 Database

Specify the options that help to determine the type of physical database that is to be used.

Select one of the following options:

Use the current database used by this configuration

This option is not used for a new Install. It is the most likely option when doing an Upgrade or a Modify/Repair.

OR

Use a new Microsoft SQL Server, Sybase or Oracle database

LANSA supports the use of these three database products. LANSA will create the database objects (tables, indexes, etc) it requires but it will not create and configure the database. If you select this option, the database must be created and configured prior to the LANSA install running.

Microsoft SQL Server refers to the full-featured product. It should not be confused with the Microsoft SQL Server Express database following.

Note 1: When creating a Sybase database (including SQLAnywhere 10 and 11), you must select the Ignore trailing blanks in string comparisons option. This translates to "Blank Padding" = ON in the "Extended Information" page in the database properties.

OR

Create a new Microsoft SQL Server Express Instance

Microsoft SQL Server Express 2012 is included on the LANSA Installation media. Microsoft SQL Server Express is a free version of Microsoft SQL Server. Refer to Microsoft documentation for the differences between Microsoft SQL Server and Microsoft SQL Server Express.

If you select this option, the new database can be created in an existing instance or a new instance. If no SQL Server Express instances exist on the workstation, this option will be selected by default and made read-only so that SQL Server Express is installed and an instance created. An instance must exist for a database to be created. If one or more instances already exist then you may choose to use one of these existing instances or have the LANSA install create a new one.

To change the disk location of the instance or to change the password for the default administrator user, press the Database Instance Optional Parameters button next to the instance name.

To change the disk location of where the database will be created, press the Database Optional Parameters button next to the Database Name.

Note 3: When the Visual LANSA install creates a new Microsoft SQL Server Express instance, it will configure it to use 250mb maximum memory. You can modify the memory usage using SQL Server Management Studio. See Microsoft SQL documentation for details.

Note 4: If you elect to use the LANSA installation to create a Microsoft SQL Server or Microsoft SQL Server Express database, LANSA will use the TCP/IP connection to communicate with the database that is created. If you turn your firewall software on after the LANSA installation is completed, you will need to put sqlbrowser.exe and ports 1434, 1433 into exception.

Note 5: Checks will be made to ensure that any software currently installed will not conflict with Microsoft SQL. Prerequisites will be automatically installed. Refer to Microsoft's documentation and/or website for a list of prerequisites and conflicts.

OR

Use an existing database

This indicates that the target database already exists and contains an existing LANSA system. The LANSA system must be same version as the LANSA version being installed. This option should only be used if moving the LANSA configuration associated with the database to a different location on your hard drive or moving to a different PC. This option should not be used to create a scenario where multiple local LANSA configurations (configurations on this PC) connect to the same database. LANSA strongly recommends that each configuration has its own database unless it is being setup as a Network or Local Client or 3.3.5 Client to an Independent Database Server.


Database Instance Optional Parameters

These values are specific to the database instance. The values may be changed if they are not desirable.

Shared Directory

This is the location of features shared by all instances of SQL Server on a single computer. It is recommended to use the default. If an instance of the current version of SQL Server already exists on this machine then you must ensure that this directory matches the current location of the shared directory.

Instance Directory

Locate or enter the location for the new instance.

SQL Server Administrator login

The current version of Microsoft SQL Server requires strong passwords. LANSA generates a default password for the default SQL Server administrator login (sa) which satisfies this requirement. To log in to your database instance's server as "sa", you will need this password.

Hide Passwords

Select this option to mask the passwords as they are typed.


Database Optional Parameters

These values are specific to the database. The values may be changed if they are not desirable.

Database File Location

Locate or enter the location of the database files. The database files contain the actual data stored in the database.

Database Log File Location

The database log file contains information that assists in the operation of the database (for example, transaction rollback).


3.4.5 Data Source Options

An ODBC Data Source stores information about how to connect to the database. A Data Source may already exist. It may have been created by a previous install or created through the ODBC Data Source Administrator.

Select

Use an existing data source

Select an existing data source from the drop down list. The list contains all existing data sources which use supported ODBC drivers on this PC.

If you elect to create a new data source, the following details will be required:

Data Source Name

The data source name must be unique, must not exceed 32 characters in length and may not include any blank characters. The default value is prefixed by LX, followed by a unique digit, followed by the first 5 or less characters from the PC Name.

ODBC Driver

Select the ODBC driver to be used to connect to the database. Only drivers which have been detected on this workstation will be listed.

If installing Visual LANSA System Types a IBM i Slave or Independent, then only drivers which have been detected on this workstation will be listed.

If installing Client to a Slave Database Server or Client to an Independent Database Server, then the ODBC driver shipped on the LANSA DVD will be listed along with drivers which have been detected on this workstation. If the shipped driver is selected and is not already installed, it will be installed when exiting the Data Source panel so that the database can be verified. A warning message will be displayed prior to installation.

Server

This is the name that the database server is called on the network. If the Use a new Microsoft SQL Server Express database option is selected on the Database dialog this value will default to the appropriate value. Note, the Server name is not the PC name. As an example, for SQL Server the default name for a database server is "PC Name\Instance Name".

Database Name

The name of the database. This is not relevant for an Oracle database.

If the Use a new Microsoft SQL Server Express database option is selected in the 3.4.4 Database options, this entry will contain the value entered on the Database dialog and will be read-only. In this case, the database name can only be changed on the Database dialog.

OR

Create a new data source

Security

Select the method used to log into the database.

Use trusted connections

Instructs the install to use the User Id and Password that were used to log in to the current Windows session to connect to the database. You must ensure that the User Id and Password specified can connect to the database.

If the Use a new Microsoft SQL Server Express database option is selected on the Database dialog, the current Windows user will be automatically added to the database security settings and Use trusted connections will be selected by default.

Alternatively:

Use database's default userid/password [DBA/SQL]

Select this option to use the existing database's User Id and Password.

Alternatively:

Supply User Id and Password

Enter the User Id and Password if it is different to the database's default User Id and Password.


3.4.6 Initialize Database and Partitions

Initializing the Partition makes the partition usable. It imports Groups, Frameworks, System Fields, Component primitives and so on. It also ensures that the execution environment is able to build objects for the partition.

Some imports are optional. You should only specify those that you initially require. If you have partitions with different requirements, then you should consider selecting None and initializing each partition using the Log On dialog. Refer to the Administrator's Guide if you require more information.

To avoid a long initialization, choose only to initialize those Partitions that you plan use immediately and select only the options that you want to use in every Partition. For example, imports such as the Visual LANSA Framework contain a large amount of data. So, if one Partition was to take 10 minutes to initialize, 6 Partitions will take 1 hour. Further Partition Initialization can be done from within LANSA so there is no need to install them all now or run the install again.

Initialize Database

Select this option if the database is to be initialized. If selected, the database tables will be created/updated and the specified Partitions initialized.

If the database has not previously been initialized then the Partition initialization section specifies how the new Visual LANSA system should be set up.

All Partitions in Windows Repository

If you select this option, all current Partitions in the Windows repository will be initialized. If installing to a new database, this option will be disabled. In this case, after the installation is complete, you will create partitions and initialise during the Visual LANSA log on process.

Selected Partitions

Specify the Partitions to be initialized. If more than one partition is to be initialized, then separate Partition names with spaces. For example, "DEM DEX ABC"

If you are installing to an Independent Server, this option will be disabled.

Note: The DEM Partition
The DEM (Demonstration) partition is included in the Selected Partitions when an Independent Visual LANSA system is being installed. It is mandatory that you select the DEM partition the first time you install a Visual LANSA system.

The DEM partition is an example definition to give you access to Visual LANSA. When you are in Visual LANSA, you can add other partitions and delete this DEM partition, if it is not needed.

None

Select this option if the Partitions are all initialized. You would normally use this option if you were performing a Modify or Repair to an existing installation.

Synchronize partition(s) with IBM i Master

Select this option to synchronize the partition for Visual LANSA Framework; Enable for the Web; and LANSA Client field and file definitions with the IBM i Master

Example User/Task (PCXUSER/PCXTASK)

This field is visible when installing an Independent Visual LANSA system type. It is mandatory that you select this the first time you install an Independent Visual LANSA system.

This option imports an example User Id, Password and Task to give you access to Visual LANSA. When you are in Visual LANSA, you can add others and delete these examples.

Note that the password is context sensitive.

Optional Imports

Visual LANSA Framework

Select this option to install the Visual LANSA Framework into the specified partition(s). For details, refer to What is Visual LANSA Framework?

Enable for the Web

Select this option to Web-enable the specified partition(s). If you are doing LANSA for the Web development, it is recommended that you select this option. If you are installing the Web e-Business Framework Wizard, this option must be selected.

LANSA Client field and file definitions

Select this option to import field and file definitions for use with LANSA Client.

Personnel System Demonstration material (including executable objects)

Select this option to install the Personnel System Demonstration material into the specified partition(s). This material includes examples for Visual LANSA and LANSA for the Web. This system is also used for all tutorials included with the Online LANSA guides. For details, refer to Testing using the DEM Partition.

Run demonstration

Select this option to start the demonstration when the install has been completed. If you are installing the Personnel System Demonstration materials, it is recommended that you select this option because it will allow you to load data into the demonstration files.


3.4.7 Connection Information to Master

Specify the default communications information to allow the Slave Visual LANSA system to connect to the IBM i Master System. This dialog is only displayed if an IBM i Slave system is being installed. Your LANSA or System's Administrator should provide you with the appropriate connection details.

Note: This connection information will be used by the Visual LANSA System during the Initialization phase of the installation.

Each set of connection details is known as a Host Route and each Host Route record is identified by an LU Name.

Define a new Host Route record

Specify a new Host Route record. The new record will be added to the table used by the LANSA Communications Administrator. If you select this option, you will need to provide the following details:

LU Name

Used to identify the Host Route record.

Fully Qualified Name of the Host

Specify the name or address of the IBM i Master. This will either be the machine name, the fully qualified name (that is, host.domain) or the Master's IP address (for example, 12.4.1.56).

Connection Id

Specify the TCP/IP port number that has been assigned to the LANSA Listener.

The default port number is 4545.

Use IPv6

Specifies whether to use the host's IPv6 address to establish the connection. When you leave the Fully Qualified Name of the Host entry box, the install will determine if the host name resolves to an IPv4 and/or IPv6 address. If the host name resolves to both IPv4 and IPv6 addresses, then you will be asked to select your preference.

Use an existing Host Route record

If the connection is already defined, select the Host Route from the drop down list. The list is based on the Host Routes used by the LANSA Communications Administrator.

Logon details

After the installation is complete, the Visual LANSA System & partitions will be initialized when connection is made to the LANSA for iSeries server. This will download the required LANSA System Definitions. Don't forget that the LANSA on the IBM i must be at the same version as the Visual LANSA Slave System being installed.

User Id

Enter the User Name or user profile to log on to the selected Master server.

Password

Enter the password associated with the Master's User Name or user profile.

Use Windows Credentials

When this option is selected, the User Id and Password will be disabled. The User Id and Password that were used to log in to the current Windows session will be used instead. Before you use this option, review the information about Windows credentials in Use Windows Credentials in the Administrator's Guide.


3.4.8 IBM i Language Options

These options allow you to specify certain options associated with the translation of data from the IBM i to the workstation.

If you are installing on an independent LANSA system and if you have any intention of connecting this system to an IBM i Master in the future, then make sure that you choose the correct CCSID (Coded Character Set Identifier) information.

The CCSID is fundamental to the proper operation of LANSA when connected to an IBM i Master system. Once you have created objects in the Repository, do not change any information on this dialog.

Initialization Language

Select the language you will use on your PC from the drop down list.

CCSID Selection

Defaults have been provided for certain languages. These defaults should provide the best option for translating data between the IBM i and the workstation. There should be no need to use custom settings unless you have specific instructions from your product vendor or system administrator. CCSID 1140 will be the default for languages that do not have a specific default.

Note: 11.0 SP5 introduced new default translation tables of ANSEBC1140/EBC1140ANS. These tables replace the use of QEBCDIC/QASCII. CCSID 1140 is identical to CCSID 037 except that the Euro (€) replaces ¤.
This change requires a change to the default for the DEFINE_OS_400_SERVER Built-In Function to use the new tables. The old tables corrupted some characters but there is a possibility that your use of the tables may actually require that corruption. You should review your use of this Built-In Function to determine if you are using the defaults and thus may have unwanted behavior with the new default tables.

CCSID 1140 supports the entire Windows 1252 character set except for the following characters:

Characters | Hex Range | Explanation
'ƒ"...†‡ˆ‰Š‹OEŽ''""*--˜(tm)š›oežŸ | 0x82 to 0xA0 inclusive | These characters do not exist in the IBM i 1140 CCSID
¤ | 0xA4 | The Euro replaces this character

The full set of characters supported is:

€ !#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ

[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿

ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ


3.4.9 Local Data Directory

The Local Data Directory is where Visual LANSA puts temporary files. For example, the list of objects selected in the Work with Processes window is stored in the directory specified here.

It is recommended that you do not choose a network drive, as it will slow down performance.


3.4.10 Compiler

If you do not have a supported C/C++ compiler on your system, the following dialog will be displayed and a customized version of the Microsoft Visual C++ 2010 compiler will be installed.

Install the Compiler

Specify the directory in which the compiler is to be installed.

Also See

Compiler Settings in the Visual LANSA Administration Guide


3.4.11 Listener Service Options

The Listener Service is used by programs requiring a connection to the Visual LANSA Data/Application Server. For example, the LANSA for the Web Administrator requires a connection to amend the operating options required for your web applications.

Specify whether the TCP/IP listener service (used for communications to the Visual LANSA system) will start automatically or manually.

Service Startup Type

Select Automatic if the listener service is to start automatically when Windows starts up, otherwise select Manual.

Connection Identifier

Specify the TCP/IP port number on which the Listener Service will be listening for network communication. This number must be numeric and cannot be blank. Any other LANSA systems connecting to this system will need to know this port number.

The default Port Number is 4545.


3.4.12 User Id for Visual LANSA Web Configuration

A Windows User is required that can be used to log on to the LANSA Development environment and can be used with LANSA for the Web.

The User can be setup elsewhere or through this dialog.

To use Web features in Visual LANSA, the partition must be Web-enabled. To Web enable a partition, select Enable for the Web on the 3.4.6 Initialize Database and Partitions dialog. This may also be done after the installation is completed through Partition Initialization which is described in the Administrator's Guide. For a typical install, this dialog will only be displayed if Enable for the Web is selected.

Action

From the dropdown list, select whether to Use an existing User, Create a New Local User or Not to Configure any User.

If you select Create New Local User, the User will be created as a local user. If using an existing User, the user details will be verified to ensure they are correct. An existing User may be a local or a domain User.

User Id

Enter the User Id to be used when using LANSA for the Web. You may enter an existing or new User Id. The User will be automatically added to the LANSA Users Group.

Password

Enter the password for the User Id.

Confirm Password

If creating a new user, re-enter the Password to confirm the new Password. You do not have to confirm the password if you are entering an existing user.


3.4.13 User Id for Web Server Configuration

Specify a Windows User that can be used with LANSA for the Web and can log on to the Data/Application Server system.

User Id

Enter the User Id for using LANSA for the Web. Contact your LANSA/System Administrator to ensure the User has permission to log on to the Data/Application Server.

Password

Enter the password for the User Id.


3.4.14 Websites for IIS Plugin

Select the websites in which the LANSA IIS Plugin virtual directory will be created.

The LANSA IIS Plugin will only be accessible from websites that are selected.


3.4.15 Website for Web Images

From the list, select the website in which the LANSA Web Image's virtual directory will be created.


3.4.16 IIS Virtual Folder

The URL to execute a jsmdirect request is typically: http://localhost/cgi-bin/jsmdirect.exe cgi-bin is the name of a virtual folder. It can be named different things, such as peanut. In that case the URL becomes http://localhost/peanut/jsmdirect.exe. The virtual folder is mapped to a physical folder on the PC's file system.

When installing Integrator, you can chose to either select an existing virtual folder from the list of virtual folders or create a new virtual folder by typing in the name.

In both cases the related Integrator files (jsmdirect.exe, jsmproxy.exe, jsmadmin.exe and their associated data, message and configuration files) will be installed in the JSMCGI folder under the LANSA root directory. If you select an existing virtual folder, the related Integrator files (jsmdirect.exe, jsmproxy.exe, jsmadmin.exe and their associated data, message and configuration files) will then be copied into the physical folder the chosen virtual folder is mapped to.

IIS on Windows workstations only has one website, but IIS on Windows servers can have more than one website. You can choose which website you wish to use for Integrator.

Website

Select the appropriate option, to use an existing folder or create a new one, from the drop down list.

Use existing virtual folder

If you select an existing folder, the files in that folder are installed in the JSMCGI folder under the LANSA root directory. They are then copied into the mapped directory of the selected virtual folder.

If you create a new virtual folder, it will be created and mapped to the JSMCGI directory under the LANSA root directory.

Note: Files installed for JSMDirect and JSM Proxy will be installed in the directory called JSMCGI.

Use existing virtual folder

The Select Virtual folder dialog lists all virtual folders currently defined on the system you are installing to.
Select from the list if you have elected to use this option.

Create new Virtual Folders

If you enter the name of a new virtual folder, it will be created and mapped to the JSMCGI directory under the LANSA root directory.


3.4.17 JSM Administrator Service

Specify whether the JSM Administrator is to start automatically or manually.

Service Startup Type

Select Automatic if the JSM Administrator is to start automatically when Windows starts up, otherwise select Manual.


3.4.18 Communication Ports

Specify communication ports to be used by LANSA Integrator.

Integrator TCP/IP Port

Specify the TCP/IP port number to be used by Integrator. The default port is 4560.

Integrator Administrator Port

Specify the port number to be used by Integrator Administrator. The default port is 4561.

Note: The install will make these ports available for use.


3.4.19 User Id for JSMDirect Configuration

A Windows User is required that can be used to execute JSMDirect and have sufficient rights to run LANSA functions.

A local User can be setup manually or through this dialog. To setup a new domain user, you must ask your Network Administrator to create the User account on the appropriate server.

Action

You may not choose to configure a User Id for JSMDirect. If you don't choose to configure a User Id for JSMDirect, it will retain its existing User Id.

Otherwise, specify whether to use an existing User or create a new User. If you create a new User, the User will be created as a local user. If using an existing User, you must specify whether the account is a local account or a domain account. The user details will be verified to ensure they are correct.

User Id

Enter the User Id to be used when configuring User Id for JSMDirect. You may enter an existing or new User Id.

Windows's default for this User Id is IUSR_<computer name>.

Password

Enter the password for the User Id.

Confirm Password

If creating a new user, re-enter the Password to confirm the new Password.


3.4.20 LANSA Open Translation Tables

If using LANSA Open, you must specify the translation tables used to translate strings sent between a Windows PC and an IBM i server.

A default translation table translating characters between Windows Code page 1252 and EBCDIC CCSID 1140 will automatically be installed. If this is not appropriate for your language then you must select the appropriate code page. See Multilingual Support in the LANSA Open guide for more information.

Standard

Select the table which best suits your language. Your LANSA Administrator should provide you with the CCSID (Coded Character Set Identifier) used on your IBM i system.

By default, the most suitable table based on your Windows language is highlighted.

User Provided

If no standard tables are appropriate, select this option to provide your own custom table. Enter the name and location of your custom translation table file. The file must be named LCOECHAR.DAT and must always be entered.

Use default table based on CCSID 37

This option is only offered for backward compatibility. In previous versions of LANSA Open, the default option was to use the internal table which is based on CCSID 37. This option should now only be used if your existing application is incompatible with the new EBCDIC 1140 -> WIN table.

Before your LANSA Open installation or upgrade is complete, check the steps to be carried out in LANSA Open Configuration and Set up on Windows.


3.4.21 Network Client Server Details

The Network Client Server details dialog is automatically displayed if you have selected the Setup Type: Shortcuts to run Visual LANSA installed on another PC. In this dialog, you enter the details of the Windows Server to which this Network Client is to be linked.

The Server can be either a Slave (connected to an IBM i) or an Independent system. In either case, the database on the server must be accessible by the Network Client Workstation.

Server Name

The name of this PC on your server's network.

The unqualified computer name or the full computer name can be used. Use the Browse button to select from the list of computers currently shown on your network.

LANSA Root Directory on the Server

Select the location of the configuration on the Server. Only configurations that match the version number of this install are listed.

Local mapping of the server's LANSA Root Directory

Map the directory of the Windows Server to this PC and specify the directory path here. If you have not already mapped this directory, stop and do it now. You don't have to restart the install process.

Note: UNC paths should not be used. If you have current Network Clients using UNC paths, the Visual LANSA automatic upgrade will allow you to continue to use these paths. However, it is strongly recommended that you install new Network Clients using a mapped drive.

Once the Next button is pressed, testing of the selected Server configuration is performed. These tests will confirm that the selected configuration is a valid Network Server for this install. For example, the Server's Visual LANSA must be at the same version as you are installing on the Client.

Location for local files

This is the directory into which this LANSA software is to be installed that was specified on the Setup Type dialog. Press <Back if you wish to change it.

Note: Your LANSA or Network Administrator must ensure that you have the required permissions to access the Windows Server. This includes read access to the registry and write access to the directory where Visual LANSA is installed.

You will now be asked for the 3.4.3 LANSA Network Name in the Options and Summary page. From there you can press the Install button.


3.5 One-Click Install

A one-click install refers to an install which uses predefined settings. These settings are stored in the Configuration File created when you have selected the Features and Options required for the install.

A one-click install is useful where LANSA must be installed:

  • On a large number of PCs.
  • In an organization that requires software to be installed to a company standard.
  • To simplify the install for users.
  • Where a single person (such as a LANSA administrator) is responsible for installing LANSA on all user's workstations.
You should only perform a one-click install if you are certain that the predefined settings will not conflict with any existing settings on the target workstation.

To execute a One-Click install, run OneClick.cmd from the CD setup directory. The following dialog is displayed.

Configuration File

Enter the full name and path of the Configuration File to be used. Use the Browse button to locate it if necessary.

Password

Enter the password that was used when the Configuration File was created.

The file transfer and set up will commence when the OK button is pressed.


3.6 Task: Install Other Features

If you are installing a LANSA product or part of a LANSA product as a standalone task, simply:

1. Start the Installation process.

2. Select the Other Products option from the Setup Type dialog.

The Features dialog will automatically be displayed.

3. From the Features dialog, select (ü) the product(s) you wish to install and deselect those that you don't wish to install.

You will then be taken to the Options and Summary dialog to supply the details required or to be confirmed for your particular product choice. If you require any information about these details, refer to 3.4 Specify Options.


4. Upgrade LANSA on Windows

There is very little preparation you need to do before an upgrade as the upgrade program will determine what it is you are upgrading based on the configuration you choose to upgrade. Network Clients do not need to be upgraded as they will be upgraded automatically through their server upgrade.

Even though the upgrade process has been made as easy as possible for you, it is wise to review Upgrading previous versions of LANSA (following) and check the items in 4.1 BEFORE you Upgrade LANSA .

Upgrading previous versions of LANSA

If you have a previous version of LANSA for Windows software installed on your machine, you will normally perform an Upgrade to load the latest version.

Your LANSA software must be at Version 12 or later in order to use this version of the upgrade program.

If you have more than one LANSA system, you must choose which system to upgrade because you may only upgrade one system at a time. The LANSA Windows Upgrade program will upgrade all products and features in the selected system.

If you are using versions earlier than Version 12 of LANSA for Windows software, you will need to upgrade to Version 12 before running the Version 13.0 upgrade program.

In some circumstances, you may wish to keep your existing version of the software and install a new version. For example, if you have two LANSA for iSeries Systems at different versions, you will need to have two copies of LANSA Open - one for each LANSA for iSeries System. In this case, you would install a second LANSA Open using the Setup Type: Other LANSA features and then LANSA Open from the Features list.

Previous Version Compatibility
You cannot port any object compiled with this version of LANSA backwards to any previous LANSA version.
To avoid compatibility problems, it is recommended that you keep all your linked LANSA software at the same version. If you have an IBM i as the master, a Windows system as a slave with local or network clients, you should start your upgrade with the IBM i first, then the Windows slave system, then the local clients. (The network clients do not need to be upgraded.)


4.1 BEFORE you Upgrade LANSA

The following tips will assist you in upgrading LANSA on Windows:

  • If you use an SQL Server database, please read Upgrade Visual LANSA & SQL Database before continuing.
  • Check that you have Windows administrator rights to avoid security problems during the upgrade.
  • Turn off your anti-virus software while running the install/upgrade because it can interfere with the installation programs.
  • Stop all LANSA applications before commencing the upgrade. This includes Visual LANSA, LANSA for the Web, LANSA SuperServer and LANSA Open jobs. The upgrade can fail due to object locks from executing applications.
  • If this is a Visual LANSA Slave System install connecting to an IBM i, you will require a connection to the IBM i for the initialization phase of the install process. In this case, the IBM i LANSA System should be at the same version as the Visual LANSA System being upgraded. Your IBM i master system must be fully operational, with the appropriate listener jobs started.
  • If a database log on or communications link fails during a Visual LANSA upgrade, you may not have completed the system initialization. In this case, simply log on to Visual LANSA to complete the initialization.
  • If upgrading the IIS Plug-in (as part of the Web Server install), check that the IIS Administration Service has been stopped so that there are no locks on files.


4.2 Start the Upgrade

1. Start the install/upgrade process by inserting the Installing LANSA on Windows DVD in the DVD drive.

Note:
If you are upgrading a Windows Server system and then some Local Clients, update the server first.
If there is an IBM i master as well, upgrade it first.

The initial install page will open:

2. Select Install LANSA from the initial Install menu.

The Setup Type window will open for you to select the type of action you wish to take:

3. To upgrade, select Upgrade an older version of LANSA.

Existing Configurations

In this list are all your current systems with a version that can be updated by this upgrade process. If you have older versions that are not listed, you will need to update them as described in Upgrading previous versions of LANSA, before you can upgrade them.

4. Select one of the configurations in the list and press the Next> button.

This message will be displayed:

If the database product is found to be of an unsupported version, an error will be displayed. You will have to upgrade the database product before the selected configuration can be upgraded. If the database product is an unsupported version of SQL Server Express, the LANSA install will offer to upgrade SQL Server Express automatically if the version can be upgraded directly to SQL Server Express 2012. The LANSA install will also offer to upgrade SQL Server Express if the current version is supported but older than SQL Server Express 2012.

The upgrade of the database product will happen immediately so that the install can successfully access the database. It is important to note that the SQL Server Express instance will be upgraded which means that all databases within that instance will be using the upgraded database product. If there are other databases in the instance, you should ensure, prior to upgrading, that the products that use those databases is compatible with SQL Server Express 2012.

If you are upgrading a Local Client, then the LANSA Repository won't be updated as there is no Repository on a Client system. The Master Visual LANSA system must be upgraded prior to the Local Client upgrade.


4.3 Options and Summary

The products that you already have within your LANSA system will be displayed. If there are any factors to be confirmed because they didn't exist in the previous version or the system requires further details, they will be displayed on the diagram with the usual question mark [image] which will be replaced with a tick [image] , once you have either checked or changed the data requested.

Once you have converted all the question marks to ticks, you may commence the Install process, Cancel the upgrade or return <Back to previous information.

Refer to the Options and Summary in the Installation section for details of the required option if necessary.


5. Modify or Repair an existing install

Using Setup Type: Modify or Repair an existing install allows you to repair an existing installed product as well as to add new products to an existing LANSA Version 13 system.

You may wish to do a re-install if LANSA files have been deleted, damaged or if file corruption is suspected. You may choose to re-install one or more features.

1. Select the Visual LANSA system that you wish to repair.

An Important Note if you have applied EPCs to the selected configuration.
If the EPCs updated any of the features that you will re-install, then, after this repair, you must re-apply those EPCs if you wish to return to your current software level.

2. Press Next> to continue.

A check will be made to ensure that the configuration that you have selected is suitable for this repair and/or modification:


5.1 Select the features to add or repair

The list of features that you have on your selected LANSA configuration is displayed in the Installation/Upgrade - Features dialog:

1. Select the features you wish to repair or modify. Features whose names appear in bold text are already installed in the selected configuration. If one of these is checked, it will be re-installed.

Recommended minimum drive space and Disk space statistics
Note the size increase required for the features selected and the available space on your workstation.

2. If you wish to continue, press the Next> button.

3. Options and Summary
The options related to the features that you selected will be displayed with a question mark against those items for which you either need to supply information or confirm details.

Once you have reviewed each item with a question mark, it will be converted to a tick.

4. When all question marks have been reviewed, you will be able to continue to the Install or you can revert to the previous screen by pressing the <Back button.

Refer to the Options and Summary topic where you can Specify Options required by the individual features.


5.2 Upgrade Visual LANSA & SQL Database

SQL Server database change

LANSA now allows the creation of collections with new SQL Server databases. This is a critical change to SQL Server functionality.

To use this new feature, create a new SQL Server database and then install LANSA to it. Collections will be automatically used.

If your LANSA version is 11.3

If you already use SQL Server as your LANSA database and you created it using a version of LANSA prior to LANSA 11.3, and you have deployed applications that also use SQL Server, you MUST NOT use this new feature. You must continue to use a LANSA database created by prior versions of LANSA. This is because there is no migration possible from a database that does not support collections to one that does.

If you need to create a new installation of LANSA to maintain an application deployed prior to LANSA 11.3, then you must do one of the following:

  • Install LANSA with a version of LANSA prior to 11.3
  • Use an existing SQL Server database that was created with a version of LANSA prior to 11.3.

If your LANSA version is 12

If you need to start using a new version of SQL Server to maintain an application deployed prior to LANSA Version 12, say upgrading from SQL Server 2000 to SQL Server 2005, then you must do one of the following:

  • Use SQL Server administration utilities to directly upgrade the SQL Server 2000 database to SQL Server 2005
  • Use SQL Server administration utilities to export the entire SQL Server 2000 set of schema and data and import it to the SQL Server 2005 database
  • Install LANSA to the SQL Server 2005 database with a version of LANSA prior to 11.3.

This feature is only available for use with applications that have not yet been deployed with a version of LANSA prior to LANSA 11.3. This also includes test environments that contain test data that must be retained.

If your LANSA version is prior to 11.3

If you are already using an Independent LANSA System created with a version of LANSA prior to 11.3 - one that does not have an IBM i Master - then you also CANNOT start using collections. This is because there is no migration possible.

If you are already using a Slave LANSA System created with a version of LANSA prior to 11.3, and it hasn't been eliminated because of one of the reasons described above, then provided you have checked all your changes into the IBM i you can use this new feature.


6. Uninstall LANSA on Windows

You can uninstall LANSA on Windows using the Microsoft Windows Control Panel's Add/Remove Programs feature.

The uninstall program allows you to Selectively remove each configuration of LANSA that is installed.

1. Select the LANSA program from the list and press the Remove button.

The configurations that can be removed are listed in the LANSA Selective Removal dialog.

2. Select the configuration to be removed and press the Remove button.

When you select the configuration to be removed, the Remove Configuration dialog is displayed.

The Remove Configuration dialog contains pertinent information. Please read this before continuing. If there are any related configurations, they are listed so that you can see what is dependent on some parts of the configuration being uninstalled. These related configurations are not altered and will continue to operate correctly after the selected configuration is removed.

3. Change the settings, if required, and press the Remove button.

A message is displayed listing the main LANSA system parts that will be removed. The ODBC DSN and the LANSA root directory are listed.

4. Press Yes to continue, No to return to the previous step.

You are reminded to stop various features that may still be executing. These must be closed.

5. Press Yes to continue, No to return to the previous step.

All files removed are put in the recycle bin, so they can be restored if necessary. Windows does not provide a registry restore feature. Restoring the files does not restore a working LANSA system. The restore is not intended to work.

After deleting a LANSA system, you must empty the recycle bin to make the disk space available for other purposes.


6.1 Files that are not removed

  • The uninstall does not remove server databases. These must be manually removed.
  • Files that are shared with another LANSA configuration are not removed, such as lroute.dat.
  • Directories that contain files or directories that are not deleted are of course not deleted.


7. LANSA Windows License

If you are installing a new LANSA system, you must install the appropriate LANSA license codes for your LANSA products. If you are upgrading existing LANSA products, you may require new LANSA license codes under specific circumstances (where you will be notified in advance by your product vendor). The type and number of licenses required depends on your LANSA system and its configuration. Not all LANSA software components require license codes.

For Licensing details such as how to apply for a license and how to record it on your machine, refer to Product Licensing on the LANSA Web site.


8. LANSA Integrator Install and Set up

1. Start a Visual LANSA install process as described in Install LANSA for Windows and choose LANSA Integrator in the Select Features.

2. The following options will be automatically selected. Deselect as necessary. Each of these features can be installed later using the Task: Install Other Features.

Studio | Requires a Java Development Kit (JDK) and a 32 or 64 bit Java Runtime Environment (JRE)
JSM Server | Requires a 32-bit version of the Java Runtime Environment (JRE) on a 64-bit Windows operating system.
JSM Proxy |
RFI | Requires a Java Runtime Eenvionment (JRE).
User Agent | Requires a 32 or 64 bit JRE to be installed.

3. Record a LANSA Windows license as described in Licensing on the LANSA web site.

4. Task: Configure the Java Service Manager on Windows.

5. Test Java Service Manager on Windows.

If you encounter problems, refer to Troubleshooting .

After completing these tasks, review LANSA Integrator - What's Next?


8.1 Task: Configure the Java Service Manager on Windows

After you have installed the LANSA Integrator, please check that the Default instances are suitable as described in 8.3 Task: Specify Default Server for JSM Client.

Before You Begin

Before you begin to configure the JSM Server on Windows, check the following requirements:

  • Is the JSM Server software installed?
  • Has your license been recorded or updated?
  • Do you know the selected directory structure used by the LANSA Integrator install?
  • Do you know the IP address of the JSM Server?
  • Is JRE 1.4 or greater installed?

LANSA Integrator can be installed without a Java Runtime Environment (JRE) or a Java Development Kit (JDK) on the machine. However, it will not execute until the appropriate JRE has been installed.

Step 1. JSM Administrator and Log File

Check that the JSM Administrator has been installed. An entry should appear in Microsoft Service Control Manager. For more details about the JSM Administrator, refer to the LANSA Integrator Guide.

If the JSM Administrator service's Start-up Type is set to Automatic, Microsoft Service Control Manager will start the service automatically during system startup. If it is set to Manual, you need to use Microsoft Service Control Manager to start the JSM Administrator. JSM Administrator starts the Java Virtual Machine and launches the Java Service Manager. Install automatically starts the JSM Administrator, which performs an upgrade process. JSM Administrator will then terminate.

Log files will be produced in the JSM instance directory (…\Integrator\JSMInstance). The files are STDOUT.TXT & STDERR.TXT, which are also used for tracing.

Review the log files before using the JSM Server. These files may contain information regarding any updates required to property files.

If you attempt to start the JSM Administrator again, it should start successfully.

Step 2. JSMDirect

Check that JSMDirect is installed in a cgi-bin enabled directory under your Web Server.

If IIS is installed on the target PC, the install/upgrade software will automatically configure IIS to cgi-bin enable the JSMCGI folder, which is where JSMDirect.exe is installed.

If IIS is not installed, you will need to manually configure the Web Server.

Next, you must manually specify the Windows logon for executing the JSMDirect.exe CGI program. By default, IIS would use the default Windows logon IUSR_<machinename> to execute CGI programs. Normally, the default Windows logon does not have enough privileges to access the LANSA installation directory and will not be able to run LANSA applications properly.

To specify the Windows logon:

1. Start the Internet Services Manager.

2. Browse to the virtual directory cgi-bin and right-click on the file jsmdirect.exe in the virtual directory and select menu item Properties to open the jsmdirect.exe Properties dialog box.

3. Select the File Security tab and then press the Edit button in the frame titled Anonymous access and authentication control to open the Authentication Methods dialog box.

4. Check (select) the Anonymous access option and click on the Edit button next to the Account used for anonymous access label to open the Anonymous User Account dialog box.

5. Uncheck (i.e. deselect) the Allow IIS to control password option - this is IMPORTANT if you specify a Windows logon username which is not located on the workstation - then specify the Windows logon username and password of the user profile used to run LANSA applications. The case of the password must match the case of the password as it was entered into Windows User Maintenance. Note that if a workstation belongs to a Windows domain and a Windows User exists on both the Domain and the Local (on the workstation), the Domain User logon takes precedence.

6. Close all the opened dialogs by clicking on OK.

Note: Depending on your version of Windows, the corresponding administration programs may be different to those described above. In the event of a query, check the documentation for your Windows operating systems for more information.

Note that the specific Windows logon must have as a minimum read/write access rights to the LANSA installation directory in order to run LANSA applications properly. Check the corresponding documentations for more information.

The specific Windows logon is also required for obtaining log files from JSMDirect.exe. For more details refer to Log files (Windows) in the LANSA Integrator Guide.

Ensure that x_lansa.pro contains an entry USER=(the LANSA user profile that JSM http requests will be given) or PSTC=Y. When a request is received by JSM to run a function, this is the LANSA user profile that the job will run under. Also provide the DBUS and PSWD parameters, unless database trusted connections are being used or the user id and password are contained in the ODBC DSN.

Step 3. JSMProxy

If you are using JSMProxy, check that JSMProxy is installed in a cgi-bin enabled directory under your Web Server.

If IIS is installed on the target PC, the install/upgrade will automatically configure IIS to cgi-bin enable the JSMCGI folder, which is where JSMProxy.exe is installed.

If IIS is not installed, the user will need to manually configure their Web Server.

As in Step 4. JSMDirect, you need to specify the Windows logon for executing the JSMProxy.exe CGI program.

Apply the same procedure as in Step 4. JSMDirect for the CGI program jsmproxy.exe in the virtual directory "cgi-bin ".

The specific Windows logon is also required for obtaining log files from JSMProxy.exe. See "Log files (Windows)" for more information.

Step 4. Locate Properties Files

If you have used the default installation directory, you will find the following directory structure installed on your server:

    <drive>:\Program Files\LANSA\Integrator\JSMInstance\…

Within the JSM_INSTANCE directory are several directories, which contain files used to configure the JSM server. You should be aware of the contents of the following directories:

    <drive>:\Program Files\LANSA\Integrator\JSMInstance\properties
    <drive>:\Program Files\LANSA\Integrator\JSMInstance\system

If you are using tracing, you will also need to locate the directory:

    <drive>:\Program Files\LANSA\Integrator\JSMInstance\trace


8.2 Task: Test Java Service Manager on Windows

The Java Service Manager can be accessed using the LANSA Built-In Functions. It cannot be accessed using 3GL programs on Windows. On an IBM i, you can use 3GL programs.

Testing the Java Service Manager task includes these steps:

Before You Begin

Before you begin to test the JSM Server on Windows, check the following:

  • Have you installed the JSM Server?
  • Have you installed the JSM Server licenses?
  • Have you installed Studio, User Agent, or RFI? (These are optional.)
  • If you are planning to use the User Agent, do you know the IP address of the JSM Server?
  • Do you have a Visual LANSA Data/Application Server installed? The Visual LANSA Data/Application Server can be installed on the JSM Server or on another server.

Step 1. Start JSM Administrator

If the JSM Administrator service's Start-up Type is set to Automatic, Microsoft Service Control Manager will start the service automatically during system startup. If it is set to Manual, you need to use Microsoft Service Control Manager to start the JSM Administrator. JSM Administrator starts the Java Virtual Machine and launches the Java Service Manager.

If the JSM Server does not start, refer to Troubleshooting.

Step 2. Review the Online Tutorials

  • Review the tutorial section of the LANSA Integrator Guide for a set of introductory exercises.


8.3 Task: Specify Default Server for JSM Client

During a Visual LANSA install, a default file (jsmcltdta.txt) is inserted into the LANSA Execution Environment's path (<root directory>\X_WIN95\X_LANSA).

Below is the jsmcltdta.txt file's contents when it is first installed:

# localhost:4560 is the installed value for DefaultServer

# If you are connecting to a different server and/or using

# a different port, please change the setting below to reflect

# the server and/or port, ie,

# DefaultServer=MyHost:4560

DefaultServer=localhost:4560

ExcludePrefix=JSM

Please change these two entries as required:

Keyword | Comment
DefaultServer | Defines the default location of the JSM Server. If JSM_OPEN is called without arguments then the default server location as specified in JSMCLTDTA.txt will be used. Example: DefaultServer=localhost:4560
ExcludePrefix | Defines which fields will be excluded from being exchanged with JSM Server. Example: ExcludePrefix=JSM


9. LANSA Open Configuration and Set up on Windows

When the LANSA Open installation or upgrade has been completed, you must check the communications requirements which is described in:

9.1 Task: Configure LANSA Open Communications

If you're upgrading from an older version of LANSA Open, then you will need to carry out the steps in 9.3 Important Note for LANSA Open Upgrade.

You will find a list of the installed objects in: 9.4 Summary of LANSA Open Installed Objects.


9.1 Task: Configure LANSA Open Communications

The Configure LANSA Open Communication tasks includes the following steps:

9.1.1 Before You Begin

9.1.2 Step 1. Check the LANSA Open Configuration Parameters

9.1.3 Step 2. Prepare Server


9.1.1 Before You Begin

Before you begin the Configure LANSA Open Communications task, you must have completed the following:

  • Installation of the LANSA Open software using the current LANSA Windows Software.
  • Reviewed the communication requirements listed in the LANSA Open Checklist.

Go to 9.1.2 Step 1. Check the LANSA Open Configuration Parameters.


9.1.2 Step 1. Check the LANSA Open Configuration Parameters

The Configuration File parameters are set to default values during the installation process. When the LANSA Open installation has been completed, you must review the default values and change them to suit your installation's requirements.

Start the LANSA Open Configuration from the LANSA Open program group.

Note: You must log on as an Administrator before you can change the configuration.

The Configurator includes tabs sheets for:

  • 9.2.1 Communication and Session Parameters
  • 9.2.2 Directories
  • 9.2.3 Format Parameters
  • 9.2.4 Regional Parameters

For details of each option, refer to 9.2 LANSA Open Configuration Parameters or the help text supplied with the LANSA Open Configurator.

Go to 9.1.3 Step 2. Prepare Server.


9.1.3 Step 2. Prepare Server

LANSA for iSeries Server

If you are not already using LANSA Open, you will need to prepare the IBM i server for access by your client server applications. The set up and configuration details are described in Task: LANSA Open Setup on IBM i in the Installing LANSA on IBM i Guide.

The preparations include the following types of tasks:

  • user profile configuration (including library list and data access)
  • adding I5/OS directory entries
  • entering LANSA license code
  • adjusting LANSA system data areas
  • TCP/IP listener configuration (if required)
  • LANSA Repository preparations (e.g. loading files).

LANSA Windows Server

The following preparation work should be performed:

  • user profile configuration
  • entering the appropriate LANSA license code
  • TCP/IP listener configuration (if required)


9.2 LANSA Open Configuration Parameters

LANSA Open's Configuration parameters are recorded in the Windows System Registry.

The Configuration parameters are set to default values during the installation process. When the LANSA Open installation has been completed, you must review the default values and change them to suit your installation's requirements.

You can override some of LANSA Open's Configuration parameters. The LANSA Open function which overrides a parameter is included with each parameter's description.

To reach the Configurator, select LANSA Open Configuration from the configuration's desktop folder.

Note: You must log on as an Administrator before you can change the configuration.

Parameters are:

9.2.1 Communication and Session Parameters

9.2.2 Directories

9.2.3 Format Parameters

9.2.4 Regional Parameters


9.2.1 Communication and Session Parameters

The LANSA Open Version you are using is displayed at the bottom of all the LANSA Open Configuration windows.

Host System Name

Host System Name specifies the Host System to which LANSA Open is to connect.

Tip

If you have more than one host system in your network, the LANSA Open function LceUseSystem can be used during session definition to specify the host system to which you wish to connect.

Host Program

This is the name of the transaction program to be invoked on the host. The transaction program is loaded when you install LANSA on the host.

The name must always be entered in uppercase (capitals).

If the host system is not an IBM i, the name will have .DLL appended to it and the library portion, if present, will be ignored.

The default name is 'LCXP0010'.

Session Limit

Session Limit specifies the maximum number of concurrent sessions that the workstation can support. A maximum limit of 20 is strongly recommended. More than 20 open sessions may adversely affect system resources.

The default is 10.

Open File On Demand

This option allows you to control when the files are opened at the Host.

If you choose to use this option, LANSA Open will open files only as they are used. This saves considerable time when many files are used in a session, however, if the session finds a file which does not have an I/O module, unacceptable processing delays may occur.

If you choose not to use this option, LANSA Open will check that all the files have I/O modules before starting the session. If files without I/O modules are detected, the Open Session function will fail.

The default is no tick.

Tip

The LANSA Open function, LceSetSessionOption, can be used to change this option for an individual session.

Communications Cursor

This option allows you to specify the cursor displayed when LANSA Open is performing communications. This is useful when the calling application, for example, EXCEL uses the standard Windows Hourglass cursor. The options are:

LANSA Open(V) | The LANSA Open Communications cursor.
Hourglass | The standard hourglass.
None | The standard Windows pointer will remain.

The default is the LANSA Open cursor which is an hourglass imposed over the host system.

Tip

LANSA Open function, LceSetCommsCursor, can be used to change the cursor type for an individual session.


9.2.2 Directories

Temporary Drive 1

Temporary Drive 1 specifies the default directory used to store any temporary files.

LANSA Open uses temporary files to store information when sending and receiving data to and from the host system. These files are only temporary and will be deleted when a session is ended.

If not specified, these files will be created in the current directory.

Temporary Drive 2

Temporary Drive 2 specifies an alternate directory to use when storing temporary files. This is useful when a second working directory, like a RAM drive, needs to be used for a particular session.

LANSA Open will normally use the directory specified for Temporary Drive 1.

Use LANSA Open function LceUseTmpDrive2 during session definition, when you wish to use Temporary Drive 2 for a particular application.

Use Local Data Dictionary

This option specifies whether LANSA Open should use the Local Data Dictionary.

LANSA Open's Local Data Dictionary is maintained on the PC's hard disk to record the file and field information (e.g. description, type, length, etc.) normally returned by the host during each Open Session function call.

Using the Local Data Dictionary avoids the constant downloading of information from the host in cases where the information has not changed.

For files, each file is version checked with the host and details updated locally, if necessary, on a per file basis. For fields, if any field definition in the partition on the host has changed, all field definitions in the Local Data Dictionary, for that partition, are deleted and the requested field information for the session is downloaded to the Local Data Dictionary. This occurs regardless of whether any changed field on the Host is requested in the current session or not.

Use of the Local Data Dictionary is only effective when communicating with an IBM i host since Visual LANSA does not support file and field version control.

The default is not to use the Local Data Dictionary.

Directory Path

The directory in which the Local Data Dictionary files should be located.

If no path is specified, these files will be located in the directory specified for Temporary Drive 1.


9.2.3 Format Parameters

Alpha Data Padding

This option allows you to set the way in which alphanumeric field data is returned to you.

Alphanumeric field values are, by default, returned to you stripped of all trailing spaces.

The option pad Trailing Spaces causes LANSA Open to return all alphanumeric field values with trailing spaces to their correct length.

The option to Strip Trailing Spaces causes LANSA Open to return all alphanumeric field values without trailing spaces.

Numeric Data Padding

This option allows you to set the way in which packed/signed field data is returned to you.

Packed/signed field values are, by default, returned to you stripped of all leading zeros and only contain a leading sign, if negative.

The option to Pad Leading Zeros causes LANSA Open to return all packed/signed field values with the leading zeros. This can be useful if using PACKED data to store dates.

The option to Strip Leading Zeros causes LANSA Open to return all packed/signed field values with the leading zeros stripped.

Apply Edit Data

Selecting this option causes LANSA Open to return numeric values pre-formatted, according to the field's edit code. For example, an Edit Code Y indicates that the date should be returned as mm/dd/yy.

Refer to Input Options when creating a New Field in the LANSA for iSeries User Guide for more details about Edit Codes.

Numeric values are, by default, returned to you ignoring edit codes or edit words.

Tip

The LANSA Open function, LceSetSessionOption, can be used to change any of these options for an individual session.

User Text Font

Specify the point size and typeface name of the font to be used in the dialog boxes which display user defined text. The format of this entry is: pointsize.font. For example, 10.Courier.

This entry is not validated. If the font is invalid or the font name is not an installed screen font, the default font: 10.Fixedsys. will be used.

Currently, the only dialog using this option is Help text, displayed by the LceGetFieldHelpText function.


9.2.4 Regional Parameters

If changing any of these options, remember that the application will need to be restarted. The system will not need to be restarted.

The defaults shown on this window are the defaults currently set in your Windows Regional settings.

Decimal Separator

Decimal Separator specifies the character you want used as the decimal separator in packed and signed numbers.

This option will override the default specified for your PC.

Currency Symbol

The character to be used as the currency symbol when applying edit codes/words to packed and signed numbers.

This option will override the default specified for your PC.

Date Separator

The character to be used as the separation symbol for the date.

This option will override the default specified for your PC.

Thousand Separator

The character to be used as the separation symbol for thousands when applying edit codes/words to packed and signed numbers.

This option will override the default specified for your PC.


9.3 Important Note for LANSA Open Upgrade

If your LANSA Open system is at LANSA V9.1 or earlier:

The required DLL files were installed in the Windows SYSTEM or SYSTEM32 directory and once the installation was completed successfully, LCOEW32.DLL could be moved to a directory other than the Windows SYSTEM or SYSTEM32 directory in which it was installed.

With LANSA Version 10.0 or greater, the LANSA Open directory structure has been changed to cater for multiple LANSA configurations. This means that LANSA Open (and LANSA/Connect) files are no longer installed in the Windows SYSTEM directory.

When you first upgrade to LANSA Version 10.0 or greater you will need to carry out one of the following steps. Failure to do so may cause your application to fail. Whether you will need to carry out these steps once, or for each LANSA Open upgrade, will depend on the option that you choose.

A. For single or multiple LANSA Open systems

B. For a single LANSA Open system

A. For single or multiple LANSA Open systems

You can choose from one of the following options.

1. Load the LANSA Open DLL (LCOEW32.DLL) from the LANSA directory structure.

a. Change your application's code to load the LANSA Open DLL (LCOEW32.DLL) from the LANSA directory structure (that is, the LANSA Open directory), rather than relying on the system to locate the LANSA Open DLL.

For example, LANSA Open could be installed into the structure below, and your application changed to load LCOEW32.DLL from there:

%ProgramFiles%\<your company name>\Open

2. You may choose to develop an intelligent installation program to read the location from the registry:

a. After the LANSA Open installation, store the LANSA Open path in the PC's registry.

b. Code the application to read the path from the PC's registry key value.

Refer to the manual of your development tool for how to load a DLL dynamically.

3. Move the application that uses LANSA Open to the LANSA Open directory and make the LANSA Open directory the application working/startup directory.

For example, move all the files from <drive>:\<MyApp> to <drive>:\<MyApp>\Open so that this is the resulting directory structure:

<drive>:\MyApp\Open\<application files>.*
LANSA Open files.*

<drive>:\MyApp\Connect\*.*

B. For a single LANSA Open system

If you are certain that only one version of LANSA Open is required, then you can use the following option.

1. Set the path environment variable to include the LANSA Open directory.

To do this:

a. From the Start button, select Settings, Control Panel, System, the Advanced tab and then select the Environmental Variables button.

b. Add the directory to the PATH environment variable. Make sure that you add the path before the SYSTEM (or SYSTEM32) directory to ensure the V10.0 files are located.

Note: Only the <drive>:\<directory>\Open path is required in the Windows PATH statement. LANSA Open will then be able to locate the
<drive>:\<directory>\Connect

b. Remove LANSA Open and LANSA Connect files from the system directory if they are no longer in use.

Note: Your application needs only to load the LANSA Open DLL (LC0EW32.DLL). LANSA Open will locate the Connect DLL.


9.4 Summary of LANSA Open Installed Objects

Following is a summary of the files installed as part of the LANSA Open Core files.

LANSA Open Workstation Files

The following files will be installed into the Directory you have nominated:

  • The Windows 32 DLL (LCOEW32.DLL)
  • A Configurator program
  • A Help file.

Development Tools and Samples

All the necessary files to provide you with the Visual Basic and C sample and demonstration programs will be installed. These programs can be used to help you to develop your own applications. Refer to the Guidelines for Using LANSA Open in the LANSA Open Guide for further details about these files.

LANSA Communication Extensions

When you accept this option, the workstation components of the LANSA Communications Extensions are loaded.

LANSA Open's Messages

LANSA Open's messages are recorded in the file LCOEMESG.DAT. The error messages can be displayed in any language by modifying this file. To enable a modified LCOEMESG.DAT file to be used, it must reside in the same directory as LCOEW32.dll.

To customize the messages, copy the LCOEMESG.DAT file and translate the text into the appropriate language.

When creating a customized LCOEMESG.DAT file, note that:

  • The message numbers should NOT be changed, nor should any of the '%' sequences such as '%d', '%c' or '%.100s'. These '%' character sequences will be replaced with text, such as field and file names related to the error, and are language independent.
  • The length of each message should not exceed 150 characters. Any characters over this length will not be displayed.
  • Messages should not extend over more than one line.

The LCOEMESG.DAT file is not required if messages are to be displayed in the English language.


10. What's Next?

10.1 Visual LANSA - What's Next?

10.2 LANSA for the Web - What's Next?

10.3 LANSA Integrator - What's Next?

10.4 LANSA Open - What's Next?

10.5 Multiple Install - What's Next?

10.6 Upgrade - What's Next?


10.1 Visual LANSA - What's Next?

Initialize Visual LANSA

If the Visual LANSA environment was not initialized during the installation, the initialization program will be called when Visual LANSA is executed for the first time. If a database logon or communications links has failed, you may not have been able to complete the system initialization. You do not have to reinstall the software. Simply logon to Visual LANSA to complete the initialization.

If you have installed a Visual LANSA Slave System, it is essential when first initializing after installing Visual LANSA that it is able to connect to the Master.

Other software

Visual LANSA Logical Modeler has been installed as part of Visual LANSA. If you wish to use it, you will need to install Microsoft Visio.

Online Reading

The latest versions of the LANSA Online Guides are automatically installed on your PC with the Visual LANSA software.

If you are a current Visual LANSA user, review the What's New? summary or the detailed (Readme) list of changes on the software DVD. All changes in this version are listed. You should review the What's New? information before using the installed software.

If you are a new Visual LANSA user, read the Visual LANSA User Guide.

LANSA Tutorials

A number of tutorials are provided to help you become familiar with Visual LANSA. Simply select the Tutorial button on the documentation toolbar to be taken to a list of the available online Tutorials.

The tutorials may be supplied with the LANSA Online Documentation or via the LANSA Web site. Refer to Latest LANSA Documentation to check the latest tutorials. Be sure to check that the tutorial you select matches your version of the LANSA system.

LANSA Education

The LANSA Fundamentals Windows Workshop and Windows Application Workshop are instructor-led or classroom-based training courses offered by your LANSA agent. Contact your LANSA representative for details about their LANSA Training Program or refer to the LANSA Training on LANSA's web site.

Shipped Visual LANSA Demonstration Applications

The shipped demonstration system shows a variety of component application features as well as allowing LANSA SuperServer connections to IBM i or Windows server systems. Use the Exec Form icon in the LANSA folder to execute the VL_DEM20 form which is the Main Visual LANSA demonstration application.

Visual LANSA Framework

If you are a new Visual LANSA User, you may wish to begin development by using the Visual LANSA Framework. For more details, refer to the Visual LANSA Framework Guide supplied with the LANSA documentation.

Populate the Repository

There are a number of techniques for transferring information to Visual LANSA. Refer to Transferring Fields, Files, Processes and Functions for information.

Hardware Key Upgrades

Have you updated your LANSA licenses? You may have a soft license you obtained from your LANSA vendor or a hardware key (dongle) for each PC using Visual LANSA.

You may also need licenses for other software you will be using, such as a database license.

You are able to request an upgrade to the hardware key license using an application that is installed with Visual LANSA. Refer to refer to Product Licensing for more information.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA web site's support pages.

If you are not familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations and so on.


10.2 LANSA for the Web - What's Next?

In order to install the LANSA for the Web software components on IBM i, you must use the LANSA Install IBM i Software DVD. For details, refer to the Installing LANSA on IBM i Guide.

Configuration and set up tasks must be performed on the Web Server before using LANSA for the Web. For details, review both the Installing LANSA on IBM i Guide or the relevant topics in this guide.

LANSA for Web Platform Differences

If you have been using LANSA for Web on a IBM i, please take a look at the differences between one platform and the other. You will find a list of these differences in LANSA for the Web Platform Differences the LANSA for the Web Administration Guide.

Online Reading

The latest versions of the LANSA Online Guides are automatically installed on your PC with the Visual LANSA software.

If you are a current LANSA for the Web user, review the What's New? summary or the detailed (Readme) list of changes on the software DVD. All changes in this version are listed. You should review the What's New? information before using the installed software.

Online Tutorials

If you are a new LANSA for the Web user, go to the tutorials in the Web Application Module (WAM) Guide or simply select the Tutorial button on the documentation toolbar to be taken to a list of the available online Tutorials.

LANSA Training

The LANSA Web Application Module workshop, instructor-led or classroom-based training courses offered by your LANSA agent. Contact your LANSA representative for details about their LANSA Training Program or refer to the LANSA Training on LANSA's web site.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.

Database Licensing Issues

Depending on the LANSA for the Web configuration you are using, you may need to purchase a database license.


10.3 LANSA Integrator - What's Next?

JSM Server Configuration and Set Up

Configuration and set up tasks must be performed on the JSM Server before using LANSA Integrator. For more details, review LANSA Integrator Configuration and Set Up on IBM i in the Installing LANSA on IBM i guide and LANSA Integrator Configuration and Set up on Windows.

LANSA Integrator Examples

The LANSA Integrator Guide contains online tutorials and example programs for using the shipped Java Services which are part of LANSA Integrator. Additional LANSA Integrator examples can be found in the Samples Example Templates (SET) materials shipped with the LANSA documentation on the Windows DVD.

Online Reading

If you are a current LANSA Integrator user, review the What's New summary supplied with the LANSA Online Documentation or the detailed (Readme) list of changes supplied on the LANSA Windows DVD.

If you are a new LANSA Integrator user, read the LANSA Integrator Guide. Online tutorials are included in the guide.

LANSA Education

The LANSA Integrator Workshop is an instructor-led or classroom-based training course offered by your LANSA agent. Contact your LANSA representative for details about their LANSA Training Program or refer to the LANSA Training on LANSA's web site.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


10.4 LANSA Open - What's Next?

IBM i Server Configuration and Set Up

Configuration and set up tasks must be performed on the IBM i host before using LANSA Open. For more details, review the Installing LANSA on IBM i Guide.

Online Reading

If you are a current LANSA Open user, review the What's New in summary supplied with the LANSA Online Documentation or the detailed (Readme) for changes and features that are available with this software.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


10.5 Multiple Install - What's Next?

Configure LANSA Software

Before using LANSA for the Web or LANSA Integrator (if installed), be sure that you have performed the appropriate configuration tasks.

What's Next for LANSA Products

Review the What's Next information for the other products you have installed:

  • 10.1 Visual LANSA - What's Next?
  • 10.2 LANSA for the Web - What's Next?
  • 10.3 LANSA Integrator - What's Next?
  • 10.4 LANSA Open - What's Next?

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


10.6 Upgrade - What's Next?

No additional configuration tasks are required after you have upgraded LANSA. Review the What's New listing for important details about product enhancements. You should review the What's New information before using the upgraded software.

Documentation Updates

For the latest documentation updates, visit the LANSA Web site at: www.lansa.com/support

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


10.7 Backing up Your Local Repository

Now that the local Visual LANSA Repository has been created, you must start backing it up on a regular basis. Failure to do so may require the reinstallation of Visual LANSA and the loss of developed applications.

If you are using Sybase as Your DBMS

Refer to your Sybase documentation.

If you are Using SQL Server as Your DBMS

Refer to your SQL Server documentation.

If you are Using Oracle as Your DBMS

Refer to your Oracle documentation.


11. Troubleshooting

Troubleshooting has been divided into several categories based on the product:

11.1 General Windows Troubleshooting

11.2 Visual LANSA Troubleshooting

11.3 LANSA for the Web Troubleshooting

11.4 LANSA Integrator Troubleshooting

For additional product information, please refer to the support pages on the LANSA web site at www.lansa.com/support.


11.1 General Windows Troubleshooting

Following are some general Windows troubleshooting tips:

Cannot execute install programs

Reporting Install/Upgrade Errors to LANSA Support

LANSA Communication Administration and LANSA Configurations

Ý 11. Troubleshooting


Cannot execute install programs

If you are having difficulties executing the LANSA install programs review the following tips:

  • Have you turned off your anti-virus software while running the install?
  • Do you have Windows administrator rights?

Ý 11.1 General Windows Troubleshooting


Reporting Install/Upgrade Errors to LANSA Support

If you are reporting a problem to LANSA Technical Support, please provide complete details regarding your installation. For example, the following information is helpful:

  • operating system type and level (e.g. Windows Vista, Service Pack 1 applied)
  • machine details (type, manufacturer, processor, memory, etc.)
  • operation being performed
  • any existing LANSA software installed and the version of this software
  • any related third party products being used (e.g. compilers, databases) and their versions.

You may wish to take a print screen of a specific dialog in question. If you use the Alt + Print Screen keys, the active window will be copied to the clipboard and the image can be pasted into Microsoft Paint or any other graphics program. Alternatively, please provide the text in title bar (setup type) and the dialog name that is underneath the title bar.

Ý 11.1 General Windows Troubleshooting


LANSA Communication Administration and LANSA Configurations

If you are using more than one LANSA Configuration, it is important that you execute the correct LANSA Communications Administrator (LCOADM32.EXE) to configure the correct communications files for the configuration being executed.

You MUST use the shortcut (in the Settings and Administration sub-folder) associated with the correct LANSA Configuration that you want to set up. If you do not execute the proper program, you will probably be editing the wrong configuration file (LROUTE.DAT).

Ý 11.1 General Windows Troubleshooting


11.2 Visual LANSA Troubleshooting

Following are some common issues encountered when installing and upgrading Visual LANSA:

Import failed during system initialization

Communications failure when connecting to IBM i Master during system initialization

Ý 11. Troubleshooting


Import failed during system initialization

As part of the Visual LANSA install, a database is created and populated with data and definitions that are required for the normal running of Visual LANSA.

If a database logon or communications link has failed during a Visual LANSA installation, you may not have been able to complete the system initialization. If this occurs, you do not have to reinstall the software.

The most likely reason the imports have not completed is if the definitions are being imported from an IBM i Master and there has been a communications failure. In this case, log on to Visual LANSA to complete the initialization. The initialization program will be called when Visual LANSA is executed for the first time.

Ý 11.2 Visual LANSA Troubleshooting


Communications failure when connecting to IBM i Master during system initialization

As part of the Visual LANSA install, a database is created and populated with data and definitions that are required for the normal running of Visual LANSA.

If a database logon or communications link has failed during a Visual LANSA installation, you may not have been able to complete the system initialization. If this occurs, you do not have to reinstall the software.

The most likely reasons for a communications failure are outlined in the LANSA for the Web Administrator Errors troubleshooting's Error Codes.

If you are using i5/OS with TCP/IP and a LANSA Listener, see the TP job in the QEZJOBLOG for detailed information about the problem.

After resolving the communications problem, log on to Visual LANSA to complete the initialization. The initialization program will be called when Visual LANSA is executed for the first time.

Ý 11.2 Visual LANSA Troubleshooting


11.3 LANSA for the Web Troubleshooting

Before you contact your local vendor for technical support, please review the Troubleshooting information.

The troubleshooting information is divided into the following categories:

LANSA for the Web Troubleshooting Checklist

LANSA for the Web Administrator Errors

Executing LANSA for the Web Applications


LANSA for the Web Troubleshooting Checklist

Before you contact your local LANSA vendor for support, please complete the following checklist for your Window's Servers and have the answers available:

  • Are you able to display the index or home page for the Web Server by entering the IP address of the Web Server into a browser?
  • Do you have an LCONNECT service running?
  • Do you have a Visual LANSA and LANSA for the Web development license installed?
  • Is the database on the Data/Application Server running?
  • Have you installed the LANSA for the Web PC-based Administrator?
  • Is the partition Web enabled?
  • Have you created a Default User to allow anonymous user access (from the LANSA for the Web Administrator)?
  • Have you created the Windows user profile (DFTUSR) associated with the Default User?
  • Have you imported LWEBSF into the partition?
  • Have you Web enabled the test process you are using?
  • Have you recompiled the functions after Web enabling the process?
  • Have you configured LANSA for the Web to access to your LANSA system correctly using the LANSA for the Web Administrator? Specifically, have you configured LANSA for the Web, including the file location, the working library and the Transaction Server settings?


LANSA for the Web Administrator Errors

Following are some of the common errors encountered when executing the LANSA for the Web Administrator.

Error Code: 0x4

Error Code: 0x6

Error Code: 0x11

Error Code: 0x14

Error Code: 0x16

LANSA Open Validation Message: "No file found . . ."

How can I check whether my partition is web enabled?

Ý 11.1 General Windows Troubleshooting


Error Code: 0x4

The most common cause of this error code is an incorrect password specified during the connection. Correct the password and attempt the connection again.

Ý LANSA for the Web Administrator Errors


Error Code: 0x6

The most common cause of this error code is an invalid user profile or password. Check that your profile and password are correct. If connecting to a IBM i, try to sign on to the IBM i via a 5250 terminal session using the same user profile and password.

You may also receive this error code for an i5/OS library list or security problem associated with the user profile that is being used. (Check the JOBD of the USER has QTEMP, QGPL and DC@PGMLIB.) Using an i5/OS command line, type LANSA and if you cannot start the LANSA system, the program library is not in the user's library list.

Another reason for this return code is that the Connection Identifier in the Communications Administrator is incorrect for the LANSA system you are trying to connect to.

If you are using i5/OS with TCP/IP and a LANSA Listener, see the TP job in the QEZJOBLOG for detailed information about the problem.

Ý LANSA for the Web Administrator Errors


Error Code: 0x11

The most common cause of this error code is a problem with the Partition or Language specified. Check that the correct partition has been specified and check that the language has been defined for the partition. You may leave the language blank to use the default for the partition.

You may also receive this error code if there is an i5/OS library list or security problem associated with the user profile being used. Check your i5/OS user profile from a 5250 terminal session. Make sure that you can access the required LANSA system using the user profile.

If you are using i5/OS with TCP/IP and a LANSA Listener, see the TP job in the QEZJOBLOG for detailed information about the problem.

You should also check that the LWEBSF has been imported into the partition you are trying to connect to.

Ý LANSA for the Web Administrator Errors


Error Code: 0x14

The most common cause of this error code is that the Name specified in the System field during connect does not exist in the LANSA Routing table. Check that you have correctly entered the Name and check that the routing table entry exists. The host route is set up during the install. Refer to Connection Information to Master or Task: Define Data/Application Server Name in the Web Administration Guide.

Another common cause of this error code is that the LANSA Listener is not active. Check that the Listener is active as described in the Verify Listener is Active in the Installing LANSA on IBM i Guide or Set Up Listener on the Data/Application Server in the Web Administration Guide.

You may also receive this error if:

  • the port you are attempting to use is blocked or not open.
    Check with your network administrator to determine if a firewall is blocking the port specified in your Host Routes Table.
    That is, are you connecting to the LANSA Web Administrator from an outside network and going through a firewall if port 4545 (default) is not open?
  • the incorrect communications method has been specified (that is, APPC instead of TCP/IP) so check the Server configuration. Sometimes this will generate an LCE0052 error, which usually also causes error WCPIC32.dll not found, i.e. it thinks you are trying to use APPC).
  • communications method not set to SOCKET.

Ý LANSA for the Web Administrator Errors


Error Code: 0x16

The most common cause of this error code is that the Communication Method is incorrect. Check the value selected as the Communications Method in the Host Routes Table. If you are using TCP/IP, Sockets should have been selected.

Ý LANSA for the Web Administrator Errors


LANSA Open Validation Message: "No file found . . ."

If you receive a LANSA Open Validation Message dialog which states "No file definition found with full or partial name," then you have not imported the LWEBSF save file into the partition. Check that you have specified the correct partition in the sign on screen. For more details, refer to Web Enable the Partition in the Web Administration Guide.

You may have missed importing the LWEBSF save file if you have:

  • recently upgraded your LANSA for the Web system and you have not re-imported the LWEBSF into a partition. In this case, the LANSA for the Web Administrator cannot execute. You must import LWEBSF into each partition that uses LANSA for the Web.
  • applied a Web EPC. Check the EPC instructions to see if the LWEBSF save file needs to be re-imported.

Also check that the initial library list of the connecting user's job description is in the sequence QTEMP, QGPL and DC@PGMLIB.

Ý LANSA for the Web Administrator Errors


How can I check whether my partition is web enabled?

You can check whether your partition is web enabled as described in Web-enable the Partition in the LANSA for the Web Administration Guide.

alternatively,

if your partition is not Web enabled, you will receive an Error 500 message from the browser.

Ý LANSA for the Web Administrator Errors


Executing LANSA for the Web Applications

Following are some of the common errors encountered when executing LANSA for the Web applications:

LANSA for the Web Errors: "User information provided is not valid"

LANSA for the Web Errors: "This machine is not licensed . . ."

HTTP Error 403: Forbidden By Rule

HTTP Error 404: Not found - file does not exist or is read protected

HTTP Error 500: Script Not Found

Ý 11.1 General Windows Troubleshooting


LANSA for the Web Errors: "User information provided is not valid"

The most common cause of this error is a problem with the Default User set up.

Check that the Default User (DFTUSR) has been properly specified using the LANSA for the Web Administrator

Check that the user profile being used with Default User exists.

Check that the password provided for the Default User is correct.

Test that the user profile and password are correct by using them to sign on to the Server.

Ý Executing LANSA for the Web Applications


LANSA for the Web Errors: "This machine is not licensed . . ."

The most common cause of this error is a missing LANSA license.

You will require a LANSA for the Web development license on the Data/Application Server.

Refer to the Installing LANSA on IBM i Guide or Task: LANSA Windows Licensing.

Ý Executing LANSA for the Web Applications


HTTP Error 403: Forbidden By Rule

The most common cause for this error is an incorrect URL specified when you attempt to invoke LANSA for the Web applications.

Carefully check the syntax of the URL.

Check the process, function and partition name.

Another common cause of this error is an authority problem.

If using anonymous access, check the Default User to identify the associated user profile. (

If using a IBM i Web Server, check that the i5/OS user profile has authority on the CGI-BIN library and files.

You also get this error if you haven't web-enabled your application: LWEBSF, process web-enabled, recompile, web-enable from Administrator.

Also check ICS configuration: Bindspecific ON/OFF values.

Ý Executing LANSA for the Web Applications


HTTP Error 404: Not found - file does not exist or is read protected

The most common cause of this error is an incorrect URL specified when you attempt to invoke LANSA for the Web applications.

Check that the:

  • syntax of the URL is correct
  • file actually exists
  • function/process is compiled
  • MAP and EXEC statements are correct in your Web Server configuration, if using a IBM i Web server

Ý Executing LANSA for the Web Applications


HTTP Error 500: Script Not Found

If using a IBM i Web Server, check the job logs for the Web Server Instances running in the QHTTPSVR subsystem. Be sure to check the job logs for all Web Server instances relating to your LANSA for the Web system.

A common cause of this error is an authority problem relating to the Web Server. Check that the QTMHHTTP user profile has proper authorities and is enabled along with profile QTMHHTP1.

This error may result if you have the wrong LANSAWEB program installed. For example, do not use the I/NET version of the LANSAWEB program if you are using IBM HTTP Server.

If you are using Domino and the Domino Server is started, than the error is coming from the Domino Server and not the HTTP Server. Check that there are no port conflicts between Domino and the HTTP Server.

Perform the following checks:

  • Use DSPUSRPRF command to check that the user profile QTMHHTTP and QTMHHTP1 are enabled.
  • Use the WRKOBJ or DSPOBJAUT command to check the authority on the LANSAWEB program stored in the CGI library. The program should have *USE for *PUBLIC users.
  • Use the WRKOBJ or DSPOBJAUT command to check the authority on the LANSA CGI library. The library should have *USE for *PUBLIC users.
  • Check to make sure that the correct CGI program is stored in the library. Use the WRKOBJ command to display the program description on the CGI program to check if it is the I/NET or the ICS CGI program. (ICS is used with the HTTP Server.)
  • Use the WRKOBJ or DSPOBJAUT command to check the authority on the QTMHHTTP message queue. The message queue should have *USE for *PUBLIC users.

Specific error messages

No error message:
Images | HTTP User (QTMHHTTP) has been disabled. Enable Head in the configuration file. (The "Enable Head" parameter is rarely needed.)
No Images | Map or Pass parameters in configuration file incorrect. Users QTMHHTTP or QTMHHTP1 do not have authority for the LANSAIMG directory.

Unable to process your request; Server is too busy

LANSA for the Web Administrator Errors

Concurrent users have reached the maximum value that has been set.
You can change this value using the Web Administrator.

Error: "Cannot make connection to side ...."

TCP/IP Errors

TCP/IP service HTTP is not active. To solve:
1. CHGHTTPA (Autostart HTTP service to *YES if value is *NO).

2. Stop and start the HTTP service using i5/OS: ENDTCPSVR *HTTP & STRSTPSVR *HTTP

Multi-tier implementation

Cannot start any function | User QTMHHTP1 has no authority to LANSA program W3@P1100. (CPD0171 in joblog). Library WEBWORK not found. (CPF9810 in joblog).
Unable to start router | No routing entry on the Web server.


11.4 LANSA Integrator Troubleshooting

For LANSA Integrator troubleshooting, refer to the Troubleshooting in the LANSA Integrator Guide.

Ý 11.1 General Windows Troubleshooting


Appendix A. Miscellaneous Tasks

Test Visual LANSA

Transferring Fields, Files, Processes and Functions


Test Visual LANSA

The following section tests a simple process and function using the Visual LANSA development environment. To test the component development, you may use the Visual LANSA Components tutorial located with the LANSA online documentation.

The Test Visual LANSA task includes the following steps:

Before You Begin Checklist

Step 1. Create a Visual LANSA Process

Step 2. Create a Visual LANSA Function using a Template

Step 3. Compile Visual LANSA Test Process

Step 4. Execute Visual LANSA Test Process

These instructions have been written to test a LANSA function using the Personnel System in the DEM partition. The DEM partition is installed with the LANSA software. The partition must be Web enabled.


Before You Begin Checklist

Before you begin the Test Visual LANSA task, check the following:

  • Do you have a DEM partion installed? Refer to Testing using the DEM Partition.
  • Did you import the Personnel Demonstration System during Partition Initialization? (Partition Initialization starts automatically when you first install Visual LANSA and whenever you create a new partition. Refer to the Personnel System Demonstration Files.
  • Do you have the appropriate Visual LANSA license or hardware key installed? Note: You can execute Visual LANSA in a trial mode without a license.
  • Do you have a user profile and password with authority to update the DEM partition? If you have installed an Independent LANSA System, you will be able to use the profile/password of PCXUSER/pcxuser.

Go to Step 1. Create a Visual LANSA Process .


Step 1. Create a Visual LANSA Process

In this step, you will log on to Visual LANSA and create a test process.

1. Start the Visual LANSA development environment by selecting the Development Environment from the LANSA group in the Start menu options.

2. The LANSA Editor window will open. From the New button, select Process from the drop down list.

3. In the New Process dialog, enter the following details where III represent your initials. If you are executing Visual LANSA in a trial mode, use DEM instead of III.

4. Press the Create button.

Go to Step 2. Create a Visual LANSA Function using a Template.


Step 2. Create a Visual LANSA Function using a Template

In this step, you will create a test function in your IIIPRO01 Process.

The test function will use the FRENQ02 template to create an inquiry function. This function will be used to display information in the Department (DEPTAB) and Section (SECTAB) files.

1. From the LANSA Editor window, press the New button and select Function from the drop down list.

2. In the New Function dialog, enter the details as shown in the screen capture, where III represent your initials.

Do not enable the function for RDMLX.

3. In the Template entry box, select from the dropdown list of templates, the FRENQ02 template.

4. Press the Create button when you have completed all the required details.

5. The template wizard will open immediately. Answer the template questions as follows, pressing the Next button as each item is entered.

TEMPLATE QUESTION | ANSWER
Enter the name of the base file to be used by this template | DEPTAB
Select related files | Select SECTAB
Do you want this function to be part of an ACTION-BAR style process? | n
Fields in Header Area | Leave DEPTMENT, DEPTDESC as displayed.
Fields in list | Select DEPTMENT, SECTION, SECTDESC by inserting a number in the corresponding box in the Wizard dialog. Deselect the remaining fields by removing the number in their Fields in Detail/List Area.
Design the fields in the header area DOWN the screen or across the screen? | Down

6 Press Finish to create the new function.

7. Your function is now created and saved. It is ready for compilation. It is not necessary to edit the code.

8 Save and Close the Function and the Process.

Go to Step 3. Compile Visual LANSA Test Process.


Step 3. Compile Visual LANSA Test Process

1. From the Repository tab, locate the IIIPROCESS that you have just created. Right click to open the context menu and select Compile.

The Compile Options dialog is displayed.

2. Press OK to continue.

3. Check in the Compile tab that the compile completed successfully.

Go to Step 4. Execute Visual LANSA Test Process.


Step 4. Execute Visual LANSA Test Process

Once the compile has completed successfully, you can execute your test function.

1. To execute a process, select IIIPRO01 from the list of processes in the Repository's Process list, right click and select Execute from the context menu.

2. In the Execute... dialog, select Process as Windows Application from the list.

3. Deselect the Prompt for additional execution parameters option. Press OK.

The application that you have just created is opened.

4. Double click on Display sections to start the application.

5. Enter a Department Code of ADM and press OK.

All sections within the Administration Department will be listed:

6. Press Exit to close the process.

You have now completed the Testing Visual LANSA task.


Testing using the DEM Partition

The DEM partition is a default demonstration partition loaded with a new LANSA system. The DEM partition includes a very simple Personnel System demonstration application and files. For details about the application, refer to Personnel System Demonstration Files.

If you are using a Visual LANSA development environment, the Partition Initialization provides an option to install the Personnel Demonstration system. If you choose this option it will load the Personnel System database and executable objects, and add data to the database files.

Alternatively, you can create a DEM partition on the IBM i and import the PERSYS save file from the LANSA for IBM i installation DVD. For Windows, use the Partition Initialization from the LANSA development environment login dialog.

Before you can use the DEM partition to check if your Web configuration is correct, it must be Web enabled. If you have recently installed it, it will be Web enabled.

You can easily Web enable a partition, or check that it is Web enabled. The procedure is described in the Web Administration Guide in Web-enable the Partition.

If you do not have a DEM partition, you may perform a test in any existing LANSA partitions that has been Web enabled. You will simply need to create a Web enabled process and test function.


Personnel System Demonstration Files

The company has a simple organizational structure. It is divided into departments such as Administration, Audit, Information Services, Legal, Travel, etc. Each of these departments may have one or more sections such as Accounting, Purchasing, Sales, etc. The Department table (DEPTAB) stores the list of departments. The Section table (SECTAB) is used to store the sections within each department.

The Personnel Master file (PSLMST) stores details about each employee. For example, the employee's name, address, and telephone number are stored in this master file. As each employee works in a section of a department, this information is also stored in the Personnel Master file.

Each employee also has a list of skills. For example, an employee might have Cobol, C and C++ programming skills or management and administration skills. A Skills table (SKLTAB) is used to store the skill codes. A Personnel Skills file (PSLSKL) stores the specific skills of each employee.

The Personal Event Log file (PSLEVENT) allows significant events and notes to be recorded against an employee. It logically extends the PSLMST file. It is an RDMLX file and therefore will only be available in an RDMLX partition.

The Personnel Time Sheet file (PSLTIMES) records employee time sheet details. Details are recorded by week number (1 to 52) within a year for each employee. It is designed mostly for use with L/Client and to show extensive trigger power by performing relatively complex calculations and storing them in the DBMS without the application needing to know what is happening. Note that all the data is created and stored in the DBMS when information is created or updated, which means that LANSA Client applications have read access to it without needing to use the triggers. It is an RDMLX file and therefore will only be available in an RDMLX partition. It contains examples of a number of RDMLX field types including BLOB.

The physical database layout follows.

Note: The LANSA Personnel Demonstration System was originally created in 1987 to execute on a System 38. This same application can still be executed on IBM i as well as Windows, WEB and Linux platforms. The original database and application are virtually unchanged. There have been some extensions to the database to demonstrate RDMLX concepts. This shows how LANSA can protect your investment in your applications.
There are two web versions of the Personnel System, one uses WEBEVENT technology and the other uses WAMs. These are included with the IBM i demonstration material and can be checked out to a Visual LANSA environment as required. These applications can be used to give you ideas of how to create and include the elements required for both WEBEVENT and WAM processing.
webevent (web enabled RDML or RDMLX partition):
http://<your path>/cgi-bin/lansaweb?procfun+lansadem+ldem+dem

wam (web enabled RDMLX partition, only supported for technology service LANSA:XHTML):
http://<your path>/CGI-BIN/lansaweb?webapp=LWAMDEM+webrtn=ldemhome+ml=LANSA:XHTML+part=DEX

Physical Database Map of Personnel System

(Including Virtual and Predetermined Join Fields)


Transferring Fields, Files, Processes and Functions

There are two ways of moving your application definitions from the IBM i to the workstation:

  • Using a IBM i export list and LANSA Import on the workstation
    When you create an export list you have the option of transferring related objects. For example all the fields used in a file or function, without knowing them by name.
  • Using the Host Monitor to Check Out objects
    When you use this process, you need to select each of the objects you want to Check Out. For more information refer to Check Out in the Administrator's Guide.

Note that before you can transfer any application definitions, you must have transferred system definitions to the workstation as described in System Initialization in the Administrator's Guide.


How to Export from the IBM i

To export objects to Visual LANSA using the Housekeeping facilities, follow these steps:

1. Sign on to the IBM i.

2. Sign on to LANSA using the desired LANSA partition.

3. Go to the Housekeeping Menu.

4. Select the option to Work With Lists of Objects to be exported.

5. Create a new export list containing all the objects you wish moved to the PC.

The export list must be created as target system type WIN.

6. Export the objects. When you export objects, you must decide if objects are being exported for Read only or Maintenance on the workstation. If the objects are being exported for Maintenance you must specify a Task ID number and a PC Name. The Task ID number should correspond to the Task ID assigned to the user who will be accessing the exported data, and the PC Name should correspond to the user's workstation.

The data will be exported to a shared folder with the same name as the export list.

Note: Task tracking must be enabled in order to export objects.

When a LANSA for the iSeries mass export completes execution, it creates a IBM i shared folder containing all the exported material. This exported material is in a format ready to be used by the LANSA Import facility.

Refer to Exporting and Importing in the Housekeeping Components of LANSA in the LANSA for iSeries User Guide for full details of how to prepare and execute large scale mass exports to Visual LANSA systems.

Tip

To save time, set up a "standard" list of fields (e.g. DATE, TIME, LISTENTRY, etc.) and system variables (e.g. *DATE, *TIME, *BLANKS, etc.) as an export list. The list might be called LPC_STDO. These objects should be exported as READ ONLY. This list should be regularly maintained and re-exported.


How to Import to the Workstation

Once you have created the export list, you can use the LANSA Import facility to transfer the objects to the workstation.

To start LANSA Import, click on either the

  • LANSA Import icon
    Use this option if you have shared folder support or you have copied the shared folder to workstation hard drive.

or the

  • LANSA Import Directly from IBM i icon
    Use this option if you do NOT have shared folder support. LANSA Import will read directly from the IBM i shared folder using the QDLS facility. This option is slower than the LANSA Import.

The LANSA Import entry screen corresponding to your request is displayed.

LANSA Import

Choose this option if you can access IBM i shared folders from your workstation or if you have copied the shared folder a workstation hard drive.

If your chosen communications router has full shared folder support, then your IBM i shared folders should be visible to your PC as a network hard drive.

Import From Directory

The directory containing the shared folder. For example, enter <drive name>:\LPC_USER if you are importing from a IBM i shared folder.

Select OK when your entries are complete. A message window keeps you informed of the status of the transfer.

LANSA Import from IBM i Folder

If you do not have IBM i shared folder support, use this LANSA Import option. It is slower than the LANSA Import.

IBM i Shared Folder Name

Name of the IBM i folder from which you wish to import objects.

Select OK when your entries are complete. A message window keeps you informed of the status of the transfer.

Note: The IBM i Shared Folder Name entry defaults to a special "QDLS" format. The default is QDLS\DEF_xxx. You must change this default to the name of the IBM i folder into which you have exported the objects. For example, if you have exported objects into a IBM i folder named DEF_DEM, you would specify this parameter as QDLS\DEF_DEM.


Disclaimer

While every effort has been made to ensure that the information in the LANSA documentation is accurate. In no event shall LANSA be liable for any damages arising from its use.

LANSA MAKES NO WARRANTIES, EXPRESSED OR IMPLIED.

Copyright and trademark information

© LANSA. "LANSA" is a trade name and registered trademark of LANSA in the United States of America, Australia, the United Kingdom and other countries. All rights reserved.

The following are some companies which require attribution:

Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both. Microsoft, Windows, .NET and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

Other company, product, and service names may be trademarks or service marks of others.

This material may contain other proprietary notices and copyright information, the terms of which must be observed and followed.